<?php

namespace App\Http\Controllers;
use Carbon\Carbon;
use Illuminate\Http\Request;
use App\Models\blog;
use Illuminate\Support\Str;


class BlogController extends Controller
{
    public function blog()
{
    // Retrieve data from the database
    $data = blog::all();

    // Process the data or perform other actions
    // ...

    // Pass the processed data to a view
    return view('admin.tbl-blog');
}

public function BlogForm(Request $request)
{
    $validatedData = $request->validate([
        'image' => 'required|image|max:2048',
        // Add other validation rules for the form fields
    ]);
    $image = rand() . "." . $request->file("image")->getClientOriginalExtension();
    $request->file("image")->move(public_path() . "/images", $image);

   $tbl_blog = new blog;
   $tbl_blog->blog_title = $request->blog_title;
   $blogSlug = Str::slug($request->blog_title);
   $tbl_blog->blog_slug = $blogSlug;   $tbl_blog->pg_status = $request->pg_status;
   $tbl_blog->date_time = $request->date_time;
   $tbl_blog->pg_meta_title = $request->short_discription;
   $tbl_blog->description = $request->description;
   $tbl_blog->pg_status = "active";
   $tbl_blog->short_description = $request->short_description;
   $tbl_blog->image = $image; // Store the file name in the "image" column of the blogs table
   $tbl_blog->save();

     return redirect()->route('admin.manage_blog')->with('success', 'Product updated successfully.');
}

    public function index()
    {
        $tbl_blog = blog::orderBy('blog_id', 'desc')->paginate(5);
    return view('admin.manage-blog', ['tbl_blog' => $tbl_blog]);  
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
{
   //
}




    /**
     * Display the specified resource.
     */
    public function show(blog $tbl_blog): View
    {
        return view('admin.tbl-blog-edit', compact('tbl_blog'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit($id)
    {
        $tbl_blog = blog::findOrFail($id);
        return view('admin.tbl-blog-edit', compact('tbl_blog'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, $id)
{
    $validatedData = $request->validate([
        
        
        'image' => 'image|mimes:jpeg,png,jpg,gif|max:2048',
    ]);

    $tbl_blog = blog::find($id);
    $tbl_blog->blog_title = $request->input('blog_title');
    $blogSlug = Str::slug($request->input('blog_title'));
    $tbl_blog->blog_slug = $blogSlug;
    $tbl_blog->pg_meta_title = $request->input('pg_meta_title');
    $tbl_blog->blog_by = $request->input('blog_by');
    $tbl_blog->pg_meta_keyword = $request->input('pg_meta_keyword');
    $tbl_blog->short_description = $request->input('short_description');
    $tbl_blog->description = $request->input('description');
    $tbl_blog->pg_meta_desc = $request->input('pg_meta_desc');
    $tbl_blog->date_time = $request->input('date_time');
    $tbl_blog->pg_status = "active";

    if ($request->hasFile('image')) {
        $image = rand() . "." . $request->file("image")->getClientOriginalExtension();
        $request->file("image")->move(public_path() . "/images", $image);
        $tbl_blog->image = $image;
    }

    $tbl_blog->save();

    return redirect()->route('admin.manage_blog')->with('success', 'Product updated successfully.');
  
}

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(blog $tbl_blog)
{
    $tbl_blog->delete();

    return redirect()->back()->with('success', 'Page deleted successfully.');
}

public function updateStatus(Request $request)
{
    $tbl_blog = blog::findOrFail($request->blog_id);
    $tbl_blog->pg_status = $request->pg_status;
    $tbl_blog->save();

    return response()->json(['message' => 'User status updated successfully.']);
}
}
