<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\location;
use App\Models\Countries;
use App\Models\State;
use App\Models\City;
use Illuminate\Support\Str;

use File;

class LocationController extends Controller
{
    public function location()
    {
     
        $data = location::all();

        return view('admin.location', compact('data'));
    }

  public function LocationForm(Request $request)
{
    $validatedData = $request->validate([
        'location_image' => 'sometimes|image|max:2048', // Use 'sometimes' to indicate that the image is optional
        // Add other validation rules for the form fields
    ]);

    // Handle location_image upload if provided
    $loaction_image = null;
    if ($request->hasFile('location_image')) {
        $loaction_image = rand() . "." . $request->file("location_image")->getClientOriginalExtension();
        $request->file("location_image")->move(public_path() . "/images", $loaction_image);
    }

    // Get the country name if it exists, otherwise set it to null
    $coumtry = null;
    if ($request->has('country')) {
        $country = Countries::select('name')->where('id', '=', $request->country)->first();
        if ($country) {
            $coumtry = $country->name;
        }
    }

    // Get the state name if it exists, otherwise set it to null
    $state_name = null;
    if ($request->has('state')) {
        $state = State::select('name')->where('id', '=', $request->state)->first();
        if ($state) {
            $state_name = $state->name;
        }
    }

    // Get the city name if it exists, otherwise set it to null
    $city_name = null;
    if ($request->has('city')) {
        $city = City::select('name')->where('id', '=', $request->city)->first();
        if ($city) {
            $city_name = $city->name;
        }
    }

    $location = new location;
    $location->loaction_name = $request->loaction_name;
    $locationSlug = Str::slug($request->loaction_name);
    $location->pg_url = $locationSlug;
    $location->parent_loaction = $request->parent_loaction;
    $location->description = $request->description;
    $location->short_description = $request->short_description;
    $location->meta_title = $request->meta_title;
    $location->meta_keywords = $request->meta_keywords; 
    $location->meta_description = $request->meta_description; 
    $location->pg_status = "active";
    $location->country = $coumtry; // Set the country name or null
    $countrySlug = $coumtry ? Str::slug($coumtry) : null;
    $location->country_url = $countrySlug;
    $location->state = $state_name; // Set the state name or null
    $stateSlug = $state_name ? Str::slug($state_name) : null;
    $location->state_url = $stateSlug;
    $location->city = $city_name; // Set the city name or null
    $citySlug = $city_name ? Str::slug($city_name) : null;
    $location->city_url = $citySlug;
    $location->loaction_name = $request->loaction_name;
    $location->location_image = $loaction_image; // Store the file name in the "image" column of the locations table
    $location->save();

    $data = location::all(); // Retrieve all data from the location table

    return view('admin.location', compact('data'))->with('success', 'Your form has been submitted.');
}



    public function index()
    {
        $location = location::orderBy('loaction_id', 'desc')->paginate(10);
        return view('admin.manage-loaction', ['location' => $location]); 
    }

    public function show(location $location)
    {
        return view('admin.location-banners-edit', compact('location'));
    }

    public function edit($location_id)
{
    
    $location = location::findOrFail($location_id);
   
    return view('admin.location-edit', compact('location'));
}

    
//     public function update(Request $request, $loaction_id)
// {
//     $validatedData = $request->validate([
//         'loaction_name' => 'required',
//         'parent_loaction' => 'required',
//         'description' => 'required',
//         'short_description' => 'required',
//         'meta_title' => 'required',
//         'meta_keywords' => 'required',
//         'meta_description' => 'required',
//         'pg_status' => '',
//         'country' => 'required',
//         'city' => '',
//         'state' => 'required',
//         'location_image' => 'image|mimes:jpeg,png,jpg,gif|max:2048',
//     ]);
   
//     $location = location::findOrFail($loaction_id);
//     $location->loaction_name = $request->input('loaction_name');
//      $location->pg_url = Str::slug($request->input('loaction_name'));
//     $location->parent_loaction = $request->input('parent_loaction');
//     $location->description = $request->input('description');
//     $location->short_description = $request->input('short_description');
//     $location->meta_title = $request->input('meta_title');
//     $location->meta_keywords = $request->input('meta_keywords');
//     $location->meta_description = $request->input('meta_description');
//     $location->pg_status = $request->input('pg_status');
//     $location->countries_slug = Str::slug($request->input('country'));
//     $location->country = $request->input('country');
//     $location->state_slug = Str::slug($request->input('state'));
//     $location->state = $request->input('state');
//     $location->city_slug = Str::slug($request->input('city'));
//     $location->city = $request->input('city');
   
//     if ($request->hasFile('location_image')) {
//         $location_image = rand() . "." . $request->file("location_image")->getClientOriginalExtension();
//         $request->file("location_image")->move(public_path() . "/images", $location_image);
//         $location->location_image = $location_image;
//     }
//      $location->save();

//     return redirect()->back()->with('success', 'Banner updated successfully.');
// }

  
  
 public function update(Request $request, $location_id)
{
    try {
        $validatedData = $request->validate([
            // Add your validation rules here as needed
        ]);

        $location = Location::findOrFail($location_id);

        // Update fields that have values in the request
        $location->loaction_name = $request->input('loaction_name');
        $locationSlug = Str::slug($request->input('loaction_name'));
        $location->pg_url = $locationSlug;
        $location->parent_loaction = $request->input('parent_loaction');
        $location->description = $request->input('description');
        $location->short_description = $request->input('short_description');
        $location->meta_title = $request->input('meta_title');
        $location->meta_keywords = $request->input('meta_keywords');
        $location->meta_description = $request->input('meta_description');
        $location->pg_status = "active";

        // Handle country, state, and city fields
        $coumtry = Countries::find($request->country);
        $state_name = State::find($request->state);
        $city_name = City::find($request->city);

        if ($coumtry) {
            $location->country = $coumtry->name;
            $location->country_url = Str::slug($coumtry->name); // Generate and set the country_slug
        }

        if ($state_name) {
            $location->state = $state_name->name;
            $location->state_url = Str::slug($state_name->name); // Generate and set the state_slug
        }

        if ($city_name) {
            $location->city = $city_name->name;
            $location->city_url = Str::slug($city_name->name); // Generate and set the city_slug
        }

        // Handle the location_image field
        if ($request->hasFile('location_image')) {
            $location_image = rand() . "." . $request->file("location_image")->getClientOriginalExtension();
            $request->file("location_image")->move(public_path() . "/images", $location_image);
            $location->location_image = $location_image;
        }

        $location->save();

        return redirect()->back()->with('success', 'Location updated successfully.');
    } catch (\Exception $e) {
        // Log the error or handle it in a way that suits your application
        return redirect()->back()->with('error', 'An error occurred while updating.');
    }
}




// public function update(Request $request, $location_id)
// {
//     $validatedData = $request->validate([
//         'location_image' => 'sometimes|image|max:2048', // Use 'sometimes' to indicate that the image is optional
//         // Add other validation rules for the form fields
//     ]);

//     // Find the location to update
//     $location = Location::find($location_id);
    
//     if (!$location) {
//         return back()->with('error', 'Location not found.');
//     }

//     // Handle location_image upload if provided
//     $loaction_image = $location->location_image; // Keep the existing image by default

//     if ($request->hasFile('location_image')) {
//         $loaction_image = rand() . "." . $request->file("location_image")->getClientOriginalExtension();
//         $request->file("location_image")->move(public_path() . "/images", $loaction_image);
//     }

//     // Get the country name if it exists, otherwise keep the existing value
//     $coumtry = $location->country;
//     if ($request->has('country')) {
//         $country = Countries::select('name')->where('id', '=', $request->country)->first();
//         if ($country) {
//             $coumtry = $country->name;
//         }
//     }

//     // Get the state name if it exists, otherwise keep the existing value
//     $state_name = $location->state;
//     if ($request->has('state')) {
//         $state = State::select('name')->where('id', '=', $request->state)->first();
//         if ($state) {
//             $state_name = $state->name;
//         }
//     }

//     // Get the city name if it exists, otherwise keep the existing value
//     $city_name = $location->city;
//     if ($request->has('city')) {
//         $city = City::select('name')->where('id', '=', $request->city)->first();
//         if ($city) {
//             $city_name = $city->name;
//         }
//     }

//     // Update the location data
//     $location->loaction_name = $request->loaction_name;
//     $locationSlug = Str::slug($request->loaction_name);
//     $location->pg_url = $locationSlug;
//     $location->parent_loaction = $request->parent_loaction;
//     $location->description = $request->description;
//     $location->short_description = $request->short_description;
//     $location->meta_title = $request->meta_title;
//     $location->meta_keywords = $request->meta_keywords; 
//     $location->meta_description = $request->meta_description; 
//     $location->pg_status = $request->pg_status; 
//     $location->country = $coumtry;
//     $countrySlug = $coumtry ? Str::slug($coumtry) : null;
//     $location->country_url = $countrySlug;
//     $location->state = $state_name;
//     $stateSlug = $state_name ? Str::slug($state_name) : null;
//     $location->state_url = $stateSlug;
//     $location->city = $city_name;
//     $citySlug = $city_name ? Str::slug($city_name) : null;
//     $location->city_url = $citySlug;
//     $location->location_name = $request->loaction_name;

//     // Update the location_image field
//     $location->location_image = $loaction_image; 

//     // Save the updated location
//     $location->save();

//     $data = Location::all(); // Retrieve all data from the location table

//     return view('admin.manage-location', compact('data'))->with('success', 'Location updated successfully.');
// }


    
    public function destroy(location $location)
    {
        $location->delete();

        return redirect()->back()->with('success', 'location deleted successfully.');
    }

    public function updateStatus(Request $request)
{
    $location = location::findOrFail($request->loaction_id);
    $location->pg_status = $request->pg_status;
    $location->save();

    return response()->json(['message' => 'location status updated successfully.']);
}
}
