<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\locationProduct;
use Illuminate\Support\Str;

class LocationProductController extends Controller
{
    public function ProductLocation()
    {
        // Retrieve data from the database
        $data = locationProduct::all();
    
        // Process the data or perform other actions
        // ...
    
        // Pass the processed data to a view
        return view('admin.location-product');
    }
    
    public function LocationProductForm(Request $request)
    {
        $validatedData = $request->validate([
            'product_image' => 'required|image|max:2048',
            // Add other validation rules for the form fields
        ]);
        $locationproduct_image = rand() . "." . $request->file("product_image")->getClientOriginalExtension();
        $request->file("product_image")->move(public_path() . "/images",$locationproduct_image);
    
        $locationproduct = new locationProduct;
        $locationproduct->product_name = $request->product_name;
        $locationproductSlug = Str::slug($request->product_name);
        $locationproduct->loction_product_slug = $locationproductSlug;
        $locationproduct->short_description = $request->short_description;
        $locationproduct->description = $request->description;
        $locationproduct->meta_title = $request->meta_title;
        $locationproduct->meta_keywords = $request->meta_keywords;
        $locationproduct->meta_description = $request->meta_description;
        $locationproduct->status = $request->status;
        $locationproduct->product_image =$locationproduct_image; // Store the file name in the "image" column of the subdomains table
        $locationproduct->save();
    
        return back()->with('success', 'Your form has been submitted.');
    }
    
        public function index()
        {
            $locationproduct = locationProduct::orderBy('product_id', 'asc')->paginate(10);
        return view('admin.manage-product-location', ['locationproduct' => $locationproduct]);  
        }
    
        /**
         * Show the form for creating a new resource.
         */
        public function create()
        {
            //
        }
    
        /**
         * Store a newly created resource in storage.
         */
        public function store(Request $request)
    {
       //
    }
    
        /**
         * Display the specified resource.
         */
        public function show(locationProduct $locationproduct): View
        {
            return view('admin.location-product-edit', compact('locationProduct'));
        }
    
        /**
         * Show the form for editing the specified resource.
         */
        public function edit($product_id)
        {
            $locationproduct = locationProduct::findOrFail($product_id);
            return view('admin.location-product-edit', compact('locationproduct'));
        }
    
        /**
         * Update the specified resource in storage.
         */
        public function update(Request $request, $locationproduct_id)
    {
        
        $validatedData = $request->validate([
            'product_name' => 'required',
            'short_description' => '',
            'description' => '',
            'meta_title' => '',
            'meta_keywords' => '',
            'meta_description' => '',
            'status' => '',
            'product_image' => 'image|mimes:jpeg,png,jpg,gif|max:2048',
        ]);
    
        $locationproduct = locationProduct::find($locationproduct_id);
        $locationproduct->product_name = $request->input('product_name');
        $locationproduct->short_description = $request->input('short_description');
        $locationproduct->description = $request->input('description');
        $locationproduct->loction_product_slug = Str::slug($request->input('product_name'));
        $locationproduct->meta_keywords = $request->input('meta_keywords');
        $locationproduct->meta_title = $request->input('meta_title');
        $locationproduct->meta_description = $request->input('meta_description');
        $locationproduct->status = $request->input('status');
    
      if ($request->hasFile('product_image')) {
           $locationproduct_image = rand() . "." . $request->file("product_image")->getClientOriginalExtension();
            $request->file("product_image")->move(public_path() . "/images", $locationproduct_image);
            $locationproduct->subdomain_image =$locationproduct_image;
        }
    
        $locationproduct->save();
    
        return redirect()->back()->with('success', 'Page updated successfully.');
    }
    
        /**
         * Remove the specified resource from storage.
         */
        public function destroy(locationProduct $locationproduct)
    {
        $locationproduct->delete();
    
        return redirect()->back()->with('success', 'Page deleted successfully.');
    }
    
    public function updateStatus(Request $request)
    {
        $locationproduct = locationProduct::findOrFail($request->product_id);
        $locationproduct->status = $request->status;
        $locationproduct->save();
    
        return response()->json(['message' => 'User status updated successfully.']);
    }

    public function count(Request $request){
        $subdRecordCount = locationProduct::where('status', 'Active')->count();
        $bannerRecordCount = tbl_banner::where('pg_status', 'Active')->count();
        $categoryRecordCount = tbl_category::where('pg_status', 'Active')->count();
        $productRecordCount = tbl_product::where('pg_status', 'Active')->count();
        $galleryRecordCount = tbl_gallery::where('pg_status', 'Active')->count();
        $testiRecordCount = testimonial::where('pg_status', 'Active')->count();
        $loactionRecordCount = location::where('pg_status', 'Active')->count();
        $pageRecordCount = tbl_page::where('pg_status', 'Active')->count();

        return view('admin.Backend.Layout.dashboard', [
            'subdRecordCount' => $subdRecordCount,
            'bannerRecordCount' => $bannerRecordCount,
            'categoryRecordCount' => $categoryRecordCount,
            'productRecordCount' => $productRecordCount,
            'galleryRecordCount' => $galleryRecordCount,
            'testiRecordCount' => $testiRecordCount,
            'loactionRecordCount' => $loactionRecordCount,
            'pageRecordCount' => $pageRecordCount,
        ]);
    }
}
