<?php

namespace App\Http\Controllers;
use App\Rules\ReCaptcha;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Log;
use Validator;
use App\Mail\ContactFormSubmitted;
use Illuminate\Http\Request;
use App\Models\testimonial;
use App\Models\tbl_product;
use App\Models\tbl_page;
use App\Models\tbl_banner;
use App\Models\subdomain;
use App\Models\websiteMange;
use App\Models\location;
use App\Models\locationProduct;
use App\Models\blog;
use App\Models\contactadd;
use App\Models\product_data;
use App\Models\contact;
use App\Models\tbl_gallery;
use App\Models\tbl_category;
use App\Models\subcategory;
use Illuminate\Support\Str;


class ShowdataController extends Controller
{
    public function showdata(Request $request)
{   
    $testimonial_show = testimonial::where('pg_status', 'active')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url','home')->get();
    $homebanner = tbl_banner::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    $blog = blog::where('pg_status', 'active')->get();
    $gallery = tbl_gallery::where('pg_status', 'active')->get();
    $category = tbl_category::where('pg_status', 'active')->get();
    $subcategory = subcategory::where('status', 'active')->get();
     $products_dat = product_data::where('pg_status', 'active')->get();
    $location_product = '';
    

    return view('home', compact('testimonial_show', 'products', 'homepages', 'homebanner', 'website' ,'blog', 'gallery', 'location_product', 'category', 'subcategory', 'products_dat'));
}



public function product_detail() {
    $product_u = __FUNCTION__ == "product_detail" ? true : false;
    $currentUrl = url()->current();
   
    $parts = explode('/', $currentUrl);
    $product_url = end($parts);
    try {
        $productData = tbl_product::where('product_url', $product_url)->where('pg_status', 'active')->first();
        
        if (!$productData) {
           
            abort(404);
        }
        $products = tbl_product::where('pg_status', 'active')->get();
        $website = websiteMange::where('status', 'active')->get();
        $homepages = tbl_page::where('pg_status', 'active')->get();
        $category = tbl_category::where('pg_status', 'active')->get();
        $subcategory = subcategory::where('status', 'active')->get();
        $products_dat = product_data::where('pg_status', 'active')->get();
        
        $location_product = '';
        return view('details', compact('productData', 'products', 'website', 'homepages', 'location_product', 'product_u', 'category', 'subcategory', 'products_dat'));
    } catch (\Exception $e) {
       
        
        return back()->with('error', 'An error occurred');
    }
}

public function SubCatdata() {
    $subcat = __FUNCTION__ == "subcat_detail" ? true : false;
    $currentUrl = url()->current();
   
    $parts = explode('/', $currentUrl);
    $sub_cat_url = end($parts);
    try {
        $subcatData = subcategory::where('sub_cat_url', $sub_cat_url)->where('status', 'active')->first();
        
        if (!$subcatData) {
            
            abort(404);
        }
        $products = tbl_product::where('pg_status', 'active')->get();
        $website = websiteMange::where('status', 'active')->get();
        $homepages = tbl_page::where('pg_status', 'active')->get();
        $category = tbl_category::where('pg_status', 'active')->get();
        $subcategory = subcategory::where('status', 'active')->get();
        $products_dat = product_data::where('pg_status', 'active')->get();
        $location_product = '';
        $product_u =' ?? false OR';
        return view('products-category-data', compact('subcatData', 'products', 'website', 'homepages', 'location_product', 'subcat', 'category', 'subcategory', 'products_dat', 'product_u'));
    } catch (\Exception $e) {
       
        return back()->with('error', 'An error occurred');
    }
}

public function Categorydata() {
    $categorydata = __FUNCTION__ == "subcat_detail" ? true : false;
    $currentUrl = url()->current();
   
    $parts = explode('/', $currentUrl);
    $pg_url = end($parts);
 
    try {
        $categoryData = tbl_category::where('pg_url', $pg_url)->where('pg_status', 'active')->first();
        
        if (!$categoryData) {
            
            abort(404);
        }
        $products = tbl_product::where('pg_status', 'active')->get();
        $website = websiteMange::where('status', 'active')->get();
        $homepages = tbl_page::where('pg_status', 'active')->get();
        $category = tbl_category::where('pg_status', 'active')->get();
        $subcategory = subcategory::where('status', 'active')->get();
        $products_dat = product_data::where('pg_status', 'active')->get();
        $location_product = '';
        $product_u =' ?? false OR';
        return view('category', compact('categoryData', 'products', 'website', 'homepages', 'location_product', 'categorydata', 'category', 'subcategory', 'products_dat', 'product_u'));
    } catch (\Exception $e) {
       
        return back()->with('error', 'An error occurred');
    }
}

public function contactdata(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'contact')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
     $category = tbl_category::where('pg_status', 'active')->get();
     $subcategory = subcategory::where('status', 'active')->get();
      $products_dat = product_data::where('pg_status', 'active')->get();
   $location_product = '';
    return view('contact', ['homepages' => $homepages,
    'products' => $products,
    'section' => 'our-products',
    'website' => $website, 
    'location_product' => $location_product,
    'subcategory' => $subcategory,
    'products_dat' => $products_dat,
    'category' => $category
    ]);
}

public function vediodata(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'vedio')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
     $category = tbl_category::where('pg_status', 'active')->get();
     $subcategory = subcategory::where('status', 'active')->get();
      $products_dat = product_data::where('pg_status', 'active')->get();
   $location_product = '';
    return view('vedio', ['homepages' => $homepages,
    'products' => $products,
    'section' => 'our-products',
    'website' => $website, 
    'location_product' => $location_product,
    'subcategory' => $subcategory,
    'products_dat' => $products_dat,
    'category' => $category
    ]);
}

public function blogpage(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'blog')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
     $blog = blog::where('pg_status', 'active')->get();
     $category = tbl_category::where('pg_status', 'active')->get();
     $subcategory = subcategory::where('status', 'active')->get();
      $products_dat = product_data::where('pg_status', 'active')->get();
   $location_product = '';
    return view('blog-detail', ['homepages' => $homepages, 'products' => $products, 'section' => 'our-products', 'website' => $website, 'location_product' => $location_product, 'subcategory' => $subcategory, 'blog' => $blog, 'category' => $category, 'products_dat' => $products_dat]);
}

public function gallerypage(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'gallery')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    $gallery = tbl_gallery::where('pg_status', 'active')->get();
    $category = tbl_category::where('pg_status', 'active')->get();
    $subcategory = subcategory::where('status', 'active')->get();
    $products_dat = product_data::where('pg_status', 'active')->get();
   $location_product = '';
    return view('gallery', ['homepages' => $homepages, 'products' => $products, 'section' => 'our-products', 'website' => $website, 'location_product' => $location_product, 'gallery' => $gallery, 'category' => $category, 'subcategory' => $subcategory, 'products_dat' => $products_dat]);
}

public function marketplace(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'market-place')->get();
    $subdomains = subdomain::where('status', 'active')->where('subdomain_name', '!=', 'Our Presence')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $location = location::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    $category = tbl_category::where('pg_status', 'active')->get();
    $subcategory = subcategory::where('status', 'active')->get();
    $products_dat = product_data::where('pg_status', 'active')->get();
    $location_product = '';
    return view('market-place', ['subdomains' => $subdomains, 'products' => $products, 'location' => $location, 'homepages' => $homepages, 'website' => $website, 'location_product' => $location_product, 'location_product' => $location_product, 'category' => $category ,  'products_dat' => $products_dat,'subcategory' => $subcategory]);
}

public function companyprofile(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'company-profile')->get();
    $subdomain = subdomain::where('status', 'active')->where('subdomain_slug', '')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    $category = tbl_category::where('pg_status', 'active')->get();
    $subcategory = subcategory::where('status', 'active')->get();
    $products_dat = product_data::where('pg_status', 'active')->get();
    $location_product = '';
    return view('company-profile', ['subdomain' => $subdomain,
    'products' => $products,
    'homepages' => $homepages, 
    'website' => $website,
    'location_product' => $location_product,
    'category' => $category,
    'subcategory' => $subcategory,
    'products_dat' => $products_dat
    ]);
}


public function websitedata(){
    $website = websiteMange::where('pg_status', 'active')->get();
    return view('home', compact('productData', 'products'));
}

public function sitemapdata(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'sitemap')->get();
    $homedata = tbl_page::where('pg_status', 'active')
    ->whereIn('pg_name', ['Home', 'Contact Us', 'Company Profile'])
    ->get();
    $subdomain = subdomain::where('status', 'active')->where('subdomain_slug', '')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    $category = tbl_category::where('pg_status', 'active')->get();
    $subcategory = subcategory::where('status', 'active')->get();
    $products_dat = product_data::where('pg_status', 'active')->get();
    $location_product = '';
    return view('sitemap', ['subdomain' => $subdomain, 'products' => $products, 'homepages' => $homepages, 'website' => $website, 'homedata' => $homedata, 'location_product' => $location_product, 'subcategory' => $subcategory, 'category' => $category, 'products_dat' => $products_dat]);
}

public function ourproductdata(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'our-products')->get();
    $subdomain = subdomain::where('status', 'active')->where('subdomain_slug', '')->get();
    $products = tbl_product::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    $category = tbl_category::where('pg_status', 'active')->orderByRaw("FIELD(product_cat_id, 6, 2, 3, 4, 5, 7)")->get();
    $subcategory = subcategory::where('status', 'active')->get();
    $products_dat = product_data::where('pg_status', 'active')->get();
     $location_product = '';
    return view('our-products', ['subdomain' => $subdomain, 'products' => $products, 'homepages' => $homepages, 'website' => $website, 'location_product' => $location_product, 'subcategory' => $subcategory, 'category' => $category, 'products_dat' => $products_dat]);
}



public function subdomainDetail() {
    
    $subdomain_u = __FUNCTION__ == "subdomainDetail" ? true : false;
    $currentUrl = url()->current();
    $parts = explode('/', $currentUrl);
    $subdomain_slug = end($parts);
    try {
        $subdomainData = Subdomain::where('subdomain_slug', $subdomain_slug)->where('status', 'active')->first();
        
        if (!$subdomainData) {
            
            abort(404);
        }

        $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', '')->get();
        $subdomains = Subdomain::where('status', 'active')->get();
        $products = tbl_product::where('pg_status', 'active')->get();
        $website = websiteMange::where('status', 'active')->get();
        $category = tbl_category::where('pg_status', 'active')->orderByRaw("FIELD(product_cat_id, 6, 2, 3, 4, 5, 7)")->get();
        $subcategory = subcategory::where('status', 'active')->get();
         $products_dat = product_data::where('pg_status', 'active')->get();
        $location_product = '';
         $category_product =' ?? false OR';
        return view('marketplace-detail', [
            'subdomainData' => $subdomainData,
            'subdomains' => $subdomains,
            'website' => $website,
            'products' => $products,
            'homepages' => $homepages,
            'location_product' => $location_product,
            'category' => $category,
            'subcategory' => $subcategory,
            'products_dat' => $products_dat,
            'category_product' => $category_product
        ]);
    } catch (\Exception $e) {
        
        return back()->with('error', 'An error occurred');
    }
}


public function marketplaceProductdata() {
    
    $currentUrl = url()->current();
    $parts = explode('/', $currentUrl);
    $subdomain_slug = $parts[5];
    $product_link = $parts[6];
   
    try {
        $subdomainData = subdomain::where('subdomain_slug', $subdomain_slug)->where('status', 'active')->first();
      
        if (!$subdomainData) {
           
            abort(404);
        }
        $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', '')->get();
        $subdomains = subdomain::where('status', 'active')->get();
        $productData = tbl_product::where('product_url', $product_link)->where('pg_status', 'active')->first();
        $website = websiteMange::where('status', 'active')->get();
        $products = tbl_product::where('pg_status', 'active')->get();
        $category = tbl_category::where('pg_status', 'active')->get();
        $subcategory = subcategory::where('status', 'active')->get();
        $products_dat = product_data::where('pg_status', 'active')->get();
        $category_product = __FUNCTION__ == "marketplaceProductdata" ? true : false;
         $location_product = '';
        return view('category-products', ['subdomainData' => $subdomainData,
        'subdomains' => $subdomains, 
        'website' => $website,
        'productData' => $productData, 
        'homepages' => $homepages,
        'products' => $products,
        'category_product' => $category_product,
        'category' => $category,
         'subcategory' => $subcategory,
         'products_dat' => $products_dat,
        'location_product' => $location_product
        ]);

    } catch (\Exception $e) {
        
        return back()->with('error', 'An error occurred');
    }
}

public function LocationProduct()
     {
     $currentUrl = url()->current();
    $parts = explode('/', $currentUrl);
    $pg_url = $parts[5];
    $product_url = $parts[6];
    
  
    try {
        $subdomainData = subdomain::where('subdomain_slug', 'our-presence')->where('status', 'active')->firstOrFail();
        $productData = tbl_product::where('product_url', $product_url)->where('pg_status', 'active')->firstOrFail();
        $locationdata = location::where('pg_url', $pg_url)->where('pg_status', 'active')->firstOrFail();

        $homepages = tbl_page::where('pg_status', 'active')->get();
        $subdomains = subdomain::where('status', 'active')->get();
        $website = websiteMange::where('status', 'active')->get();
        $location = location::where('pg_status', 'active')->get();
        $products = tbl_product::where('pg_status', 'active')->get();
        $category = tbl_category::where('pg_status', 'active')->get();
        $subcategory = subcategory::where('status', 'active')->get();
        $products_dat = product_data::where('pg_status', 'active')->get();
        $pg_url = $subdomainData->first()->subdomain_slug; 
        $location_product = __FUNCTION__ == "LocationProduct" ? true : false;
      
        return view('location-products', [
            'subdomainData' => $subdomainData,
            'subdomains' => $subdomains,
            'products' => $products,
            'locationdata' => $locationdata,
            'location' => $location,
            'website' => $website,
            'productData' => $productData,
            'homepages' => $homepages,
            'category' => $category,
            'subcategory' => $subcategory,
            'location_product' => $location_product,
            'products_dat' => $products_dat,
            
        ]);
    } catch (\Exception $e) {
        
      
        return back()->with('error', 'An error occurred');
    }
}


public function locationdata() {
    $currentUrl = url()->current();
    $parts = explode('/', $currentUrl);
    $pg_url = end($parts);
    if($parts[3] == "public") {
        $currentUrl = str_replace('/public', '', $currentUrl);
        return redirect($currentUrl);
    }

    try {
        
        $locationdata = location::where('pg_url', $pg_url)->where('pg_status', 'active')->firstOrFail();
        
        if (!$locationdata) {
            
          
            abort(404);
        }

        // Retrieve other data as needed
        $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'our-presence')->get();
        $locationProduct = locationProduct::where('status', 'active')->get();
        $subdomains = subdomain::where('status', 'active')->get();
        $location = location::where('pg_status', 'active')->get();
        $products = tbl_product::where('pg_status', 'active')->get();
         $homebanner = tbl_banner::where('pg_status', 'active')->get();
        $category = tbl_category::where('pg_status', 'active')->get();
         $subcategory = subcategory::where('status', 'active')->get();
         $products_dat = product_data::where('pg_status', 'active')->get();
        $website = websiteMange::where('status', 'active')->get();
         $location_product = 'loc';
        

        return view('location-detail', [
            'locationdata' => $locationdata,
            'location' => $location,
            'subdomains' => $subdomains,
            'locationProduct' => $locationProduct,
            'website' => $website,
            'products' => $products,
            'homepages' => $homepages,
             'category' => $category,
             'subcategory' => $subcategory,
             'homebanner' => $homebanner,
            'location_product' => $location_product,
            'products_dat' => $products_dat,
            
        ]);
    } catch (\Exception $e) {
        // print_r($e);
    
        return back()->with('error', 'An error occurred');
    }
}



public function BlogDetail($blog_slug) {
    
    try {
       
        $blogData = blog::where('blog_slug', $blog_slug)->where('pg_status', 'active')->first();
       
        if (!$blogData) {
          
            abort(404);
        }
        $blog = blog::where('pg_status', 'active')->get();
        $homepages = tbl_page::where('pg_status', 'active')->get();
        $subdomains = Subdomain::where('status', 'active')->get();
        $products = tbl_product::where('pg_status', 'active')->get();
         $category = tbl_category::where('pg_status', 'active')->get();
         $subcategory = subcategory::where('status', 'active')->get();
        $website = websiteMange::where('status', 'active')->get();
        $products_dat = product_data::where('pg_status', 'active')->get();
       $location_product = '';
        return view('blog', [
            'blogData' => $blogData,
            'blog' => $blog,
            'homepages' => $homepages,
            'subdomains' => $subdomains,
            'products' => $products,
            'category' => $category,
            'subcategory' => $subcategory,
            'website' => $website,
            'products_dat' => $products_dat,
            'location_product' => $location_product,

        ]);
    } catch (\Exception $e) {
        
       
        return back()->with('error', 'An error occurred');
    }
}



public function ContactForm(Request $request)
{
    
    try {
        $ipAddress = $request->ip();
        Log::info('IP Address:', ['ip_address' => $ipAddress]);

       $pageUrl = url()->current();
       
        $gResponseToken = $request->input('g-recaptcha-response');
        Log::info('ReCaptcha Response:', ['response' => $gResponseToken]);

        $validator = Validator::make($request->all(), [
            'email' => 'required|email|regex:/@gmail\.com$/i',
            'name' => 'required',
            'mobile' => 'required',
            'query' => 'required',
            'message' => 'required',
            'g-recaptcha-response' => ['required', new ReCaptcha],
        ]);

        if ($validator->fails()) {
            return redirect()->back()->withErrors($validator)->withInput();
        }
         
        $user = Contact::create([
            'query' => $request->input('query'),
            'message' => $request->input('message'),
            'name' => $request->input('name'),
            'email' => $request->input('email'),
            'phone' => $request->input('mobile'),
            'ip_address' => $ipAddress,
        ]);


      
        Mail::to('info@aushadhiherbal.com')
          ->bcc('enquiry.instavyapar@gmail.com')
            ->send(new ContactFormSubmitted($user, $pageUrl));

        return redirect()->back()->with('success', 'Thank you for reaching us. Our team member will contact you ASAP');
    } catch (\Exception $e) {
        return redirect()->back()->with('error', 'Something went wrong. Please try again.');
    }
}
}