<?php

namespace App\Http\Controllers;

use Illuminate\Http\Response;
use Illuminate\Http\Request;
use App\Models\tbl_product;
use App\Models\location;
use App\Models\tbl_page;
use App\Models\subdomain;

class SitemapXmlController extends Controller
{
    public function index(): Response
    {
        // Retrieve data from your models
      
        $subdomain = subdomain::whereIn('subdomain_slug', ['exporters-category', 'manufacturers-category', 'suppliers-category'])
            ->where('status', 'active')
            ->get();
        $locations = location::all();
         $products = tbl_product::all();
        $pages = tbl_page::whereIn('pg_url', ['home', 'contact', 'sitemap', 'market-place', 'company-profile'])
            ->where('pg_status', 'active')
            ->get();

       
         $totalUrlCount = count($products) + count($locations) + count($subdomain) + count($pages);
       
         $sitemapContent = view('index', [
            
            'subdomain' => $subdomain,
            'products' => $products,
            'locations' => $locations,
            'pages' => $pages,
        ])->render();

        // Set the XML content type and return the response
        return response($sitemapContent)->header('Content-Type', 'text/xml');
    }
}
