<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\tbl_gallery;

class TblGalleryController extends Controller
{
    public function tbl_gallery()
{
    // Retrieve data from the database
    $data = tbl_gallery::all();

    // Process the data or perform other actions
    // ...

    // Pass the processed data to a view
    return view('admin.tbl-gallery');
}

public function PageForm(Request $request)
{
    
    $validatedData = $request->validate([
        'gallery_image' => 'required|image|max:2048',
        // Add other validation rules for the form fields
    ]);
    $image = rand() . "." . $request->file("gallery_image")->getClientOriginalExtension();
    $request->file("gallery_image")->move(public_path() . "/images", $image);

    $tbl = new tbl_gallery;
    $tbl->gallery_category = $request->gallery_category;
    $tbl->gallery_title = $request->gallery_title;
    $tbl->pg_status = $request->pg_status;
    $tbl->short_discription = $request->short_discription;
    $tbl->gallery_image = $image; // Store the file name in the "image" column of the tbl_gallerys table
    $tbl->save();

    return back()->with('success', 'Your form has been submitted.');
}


    public function index()
    {
        $tbl_gallery = tbl_gallery::orderBy('gallery_id', 'desc')->paginate(5);
    return view('admin.manage-gallery', ['tbl_gallery' => $tbl_gallery]);  
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
{
   //
}




    /**
     * Display the specified resource.
     */
    public function show(tbl_gallery $tbl_gallery): View
    {
        return view('admin.tbl-gallery-edit', compact('tbl_gallery'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit($id)
    {
        $tbl_gallery = tbl_gallery::findOrFail($id);
        return view('admin.tbl-gallery-edit', compact('tbl_gallery'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, $id)
{
    $validatedData = $request->validate([
        'gallery_title' => 'required',
        'gallery_category' => 'required',
        'short_discription' => 'required',
        'pg_status' => 'required',
        'gallery_image' => 'image|mimes:jpeg,png,jpg,gif|max:2048',
    ]);

    $tbl_gallery = tbl_gallery::find($id);
    $tbl_gallery->gallery_title = $request->input('gallery_title');
    $tbl_gallery->gallery_category = $request->input('gallery_category');
    $tbl_gallery->short_discription = $request->input('short_discription');
    $tbl_gallery->pg_status = $request->input('pg_status');
   

    if ($request->hasFile('gallery_image')) {
        $gallery_image = rand() . "." . $request->file("gallery_image")->getClientOriginalExtension();
        $request->file("gallery_image")->move(public_path() . "/images", $gallery_image);
        $tbl_gallery->gallery_image = $gallery_image;
    }

    $tbl_gallery->save();

    return redirect()->back()->with('success', 'Page updated successfully.');
}

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(tbl_gallery $tbl_gallery)
{
    $tbl_gallery->delete();

    return redirect()->back()->with('success', 'Page deleted successfully.');
}

public function updateStatus(Request $request)
{
    $tbl_gallery = tbl_gallery::findOrFail($request->gallery_id);
    $tbl_gallery->pg_status = $request->pg_status;
    $tbl_gallery->save();

    return response()->json(['message' => 'User status updated successfully.']);
}
}
