<?php

namespace App\Http\Controllers;

use App\Models\tbl_product;
use App\Models\tbl_category;

use Illuminate\Http\Request;
use Illuminate\Support\Str;


class TblProductController extends Controller
{
    
    public function tbl_product()
    {
       
        $data = tbl_product::all();

        
        return view('admin.tbl-product', ['data' => $data]);
    }

  
   

         public function PageForm(Request $request)
       {
    try {
        $validatedData = $request->validate([
            'image' => 'nullable|image|max:2048', 
           
        ]);

       
        $image = null;

       
        if ($request->hasFile("image")) {
            $image = rand() . "." . $request->file("image")->getClientOriginalExtension();
            $request->file("image")->move(public_path() . "/images", $image);
        }

            $tbl_product = new tbl_product;
            $tbl_product->product_title = $request->product_title;
            $tbl_product->product_cat = $request->product_cat;
            $tbl_product->product_subcat = $request->product_subcat;
            $tbl_product->pg_meta_keyword = $request->pg_meta_keyword;
            $productSlug = Str::slug($request->product_title);
            $tbl_product->product_url = $productSlug;
            $tbl_product->pg_status = "active";
            $tbl_product->pg_meta_desc = $request->pg_meta_desc;
            $tbl_product->pg_meta_title = $request->pg_meta_title;
            $tbl_product->sort_description = $request->sort_description;
            $tbl_product->description = $request->description;
            $tbl_product->image = $image;
            $tbl_product->tab_one_heading = $request->tab_one_heading;
            $tbl_product->tab_two_heading = $request->tab_two_heading;
            $tbl_product->tab_three_heading = $request->tab_three_heading;
            $tbl_product->tab_four_heading = $request->tab_four_heading;
            $tbl_product->tab_five_heading = $request->tab_five_heading;
            $tbl_product->tab_six_heading = $request->tab_six_heading;
            $tbl_product->tab_one_description = $request->tab_one_description;
            $tbl_product->tab_two_description = $request->tab_two_description;
            $tbl_product->tab_three_description = $request->tab_three_description;
            $tbl_product->tab_four_description = $request->tab_four_description;
            $tbl_product->tab_five_description = $request->tab_five_description;
            $tbl_product->tab_six_description = $request->tab_six_description;

            $tbl_product->save();
    
           return redirect()->route('admin.manage_product')->with('success', 'Product updated successfully.');
            } catch (\Exception $e) {
            
                return back()->with('error', 'An error occurred: ' . $e->getMessage());
            }
}

    public function index()
    {
        $tbl_product = tbl_product::orderBy('product_id', 'asc')->paginate(10);

    return view('admin.manage-product', ['tbl_product' => $tbl_product]);  
    }


    public function show(tbl_product $tbl_product): View
    {
        return view('admin.tbl-product-edit', compact('tbl_product'));
    }


        public function edit($id)
    {
        $tbl_product = tbl_product::with('tbl_category')->findOrFail($id);
        return view('admin.tbl-product-edit', compact('tbl_product'));
    }


    public function destroy(tbl_product $tbl_product)
   {
    $tbl_product->delete();

    return redirect()->back()->with('success', 'Page deleted successfully.');
  }

  public function updateStatus(Request $request)
{
    $tbl_product = tbl_product::findOrFail($request->product_id);
    $tbl_product->pg_status = $request->pg_status;
    $tbl_product->save();

    return response()->json(['message' => 'User status updated successfully.']);
}


public function update(Request $request, $product_id)
{
    try {
       
        $validatedData = $request->validate([
           
        ]);

      
        $product = tbl_product::findOrFail($product_id);
        $product->product_title = $request->input('product_title');
        $product->product_cat = $request->input('product_cat');
         $product->product_subcat = $request->input('product_subcat');
        $productSlug = Str::slug($request->input('product_title'));
        $product->product_url = $productSlug; 
        $product->sort_description = $request->input('sort_description');
        $product->description = $request->input('description');
        //   $product->extra_content = $request->input('extra_content');
        $product->pg_meta_title = $request->input('pg_meta_title');
        $product->pg_meta_keyword = $request->input('pg_meta_keyword');
        $product->pg_meta_desc = $request->input('pg_meta_desc');
        
        $product->pg_status = "active";
   
        if ($request->hasFile('image')) {
            $product_image = rand() . "." . $request->file("image")->getClientOriginalExtension();
            $request->file("image")->move(public_path() . "/images", $product_image);
            $product->image = $product_image;
        }

        // Save the updated product
        $product->save();

       return redirect()->route('admin.manage_product')->with('success', 'Product updated successfully.');
    } catch (\Exception $e) {
        
        return redirect()->back()->with('error', 'An error occurred while updating the product: ' . $e->getMessage());
    }
}

}

