<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\websiteMange;

class WebsitemanageController extends Controller
{
   /**
     * Display a listing of the resource.
     */
    public function WebsiteMange()
{
    // Retrieve data from the database
    $data = websiteMange::all();

    // Process the data or perform other actions
    // ...

    // Pass the processed data to a view
    return view('website');
}

public function PageForm(Request $request)
{
    $validatedData = $request->validate([
        'image' => 'required|image|max:2048',
        // Add other validation rules for the form fields
    ]);

    $image = $request->file('image');
    $imageName = $image->getClientOriginalName();
    $imagePath = $image->store('public/images');

    $imageName = str_replace('public/images/', '', $imagePath);

    $website = new websiteMange;
    $website->pg_name = $request->pg_name;
    $website->redirection_url = $request->redirection_url;
    $website->pg_meta_title = $request->meta_title;
    $website->pg_meta_keyword = $request->meta_keyword;
    $website->pg_meta_desc = $request->meta_description;
    $website->short_description = $request->shrt_description;
    $website->footer_content = $request->footer_content;
    $website->description = $request->description;
    $website->pg_status = $request->pg_status;
    $website->image = $imageName; // Store the file name in the "image" column of the websites table
    $website->save();

    return back()->with('success', 'Your form has been submitted.');
}


    public function index()
    {
        $website = websiteMange::orderBy('website_id', 'desc')->paginate(5);
    return view('admin.manage-website', ['website' => $website]);  
    }

    /**
     * Show the form for creating a new resource.
     */
    public function show_logo(Request $request)
{
    $website_logos = websiteMange::where("website_id", $request->website_id)->first(["website_logo"]);

    // Pass the logo variable to the view with the sidebar
    return view('sidebar')
        ->with('logo', $website_logos);
}
    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
{
   //
}




    /**
     * Display the specified resource.
     */
    public function show(website $website): View
    {
        return view('webesite', compact('website'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit($id)
    {
        $website = websiteMange::findOrFail($id);
        return view('admin.website', compact('website'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, $id)
{
    
    $validatedData = $request->validate([
      
        'website_icon' => 'image|mimetypes:image/avif,image/jpeg,image/png,image/jpg,image/gif|max:2048',
       'website_logo' => 'image|mimetypes:image/avif,image/jpeg,image/png,image/jpg,image/gif|max:2048',


    ]);

    $website = websiteMange::find($id);
    $website->website_title = $request->input('website_title');
    $website->website_tagline = $request->input('website_tagline');
    $website->email = $request->input('email');
    $website->contact_email = $request->input('contact_email');
    $website->phone = $request->input('phone');
    $website->mobile = $request->input('mobile');
    $website->head_office_address = $request->input('head_office_address');
    $website->branch_office_address = $request->input('branch_office_address');
    $website->office_address_three = $request->input('office_address_three');
    $website->office_address_four = $request->input('office_address_four');
    $website->office_address_five = $request->input('office_address_five');
    $website->website_facebook = $request->input('website_facebook');
    $website->website_linkedin = $request->input('website_linkedin');
    $website->website_twitter = $request->input('website_twitter');
    $website->footer_text = $request->input('footer_text');
    $website->website_instagram = $request->input('website_instagram');
    $website->pinterest = $request->input('pinterest');
    $website->website_youtube = $request->input('website_youtube');
    
    if ($request->hasFile('website_logo')) {
        $logo_image = rand() . "." . $request->file("website_logo")->getClientOriginalExtension();
        $request->file("website_logo")->move(public_path() . "/images", $logo_image);
        $website->website_logo	 = $logo_image;
    }

    if ($request->hasFile('website_icon')) {
        $website_icon = rand() . "." . $request->file("website_icon")->getClientOriginalExtension();
        $request->file("website_icon")->move(public_path() . "/images", $website_icon);
        $website->website_icon	 = $website_icon;
    }

$website->save();

    return redirect()->back()->with('success', 'Page updated successfully.');
}

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(websiteMange $website)
{
    $website->delete();

    return redirect()->back()->with('success', 'Page deleted successfully.');
}

public function updateStatus(Request $request)
{
    $website = websiteMange::findOrFail($request->website_id);
    $website->status = $request->status;
    $website->save();

    return response()->json(['message' => 'User status updated successfully.']);
}
}
