<!DOCTYPE html>
<html lang="en">
@include('admin.Backend.Layout.common-head')
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  @include('admin.Backend.Layout.header')
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  @include('admin.Backend.Layout.sidebar')

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Manage Location Product</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Manage Location Product</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Location Product Management</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form  method="post" action="{{ route('admin.location-product.update',$locationproduct->product_id) }}" enctype="multipart/form-data">
                @csrf
                @method('PUT')
                <div class="card-body">
                  
                  @php
                  // Assuming you have the necessary model and connection set up
                  $tbl_product = \App\Models\tbl_product::select('product_title')->get();
                             @endphp
                              <div class="form-group">
                  <label for="exampleInputText">Product</label>
                  <select class="form-control" name="product_name" id="product_name">
                    <option value="{{$locationproduct->product_name}}" >
                        {{$locationproduct->product_name}}
                     </option>
                      @isset($tbl_product)
                          @foreach ($tbl_product as $product)
                          <option value="{{ $product->product_title }}">{{ $product->product_title }}</option>
                          @endforeach
                      @endisset
                  </select>
                  @error('product_name')
                  <span class="invalid-feedback" role="alert">
                      <strong>{{ $message }}</strong>
                     </span>
                      @enderror
                      </div>

                  {{-- <div class="form-group">
                    <label for="exampleInputText">Product Slug</label>
                    <input type="text" class="form-control" name="product_name" id="product_name" placeholder="Product Slug">
                    @error('product_name')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div> --}}

                  <div class="form-group">
                    <label for="exampleInputText">Short Description</label>
                    <textarea class="form-control" value="{{ $locationproduct->short_description }}" name="short_description">{{ $locationproduct->short_description }}</textarea>
                    @error('short_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                            <div class="col-sm-10">
                           [Location Name - subdomain ]
                                   </div>
                                </div>

                  <div class="form-group">
                    <label for="exampleInputText">Description</label>
                    <textarea class="form-control" value="{{ $locationproduct->description }}" name="description" id="summernote">{{ $locationproduct->description }}</textarea>
                    @error('meta_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                            <div class="col-sm-10">
                            [Location Name - subdomain ]
                                   </div>
                                </div>

                  <div class="form-group">
                    <label for="exampleInputText">Meta Title</label>
                    <input type="text" class="form-control" value="{{ $locationproduct->meta_title }}" name="meta_title" id="meta_title" placeholder="Meta Title">
                    @error('meta_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                   <div class="form-group">
                            <div class="col-sm-10">
                            [Location Name - subdomain ]
                                   </div>
                                </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Meta Keywords</label>
                    <input type="text" class="form-control" value="{{ $locationproduct->meta_keywords }}" name="meta_keywords" id="meta_keywords" placeholder="Banner Position">
                    @error('meta_keywords')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                   <div class="form-group">
                            <div class="col-sm-10">
                            [Location Name - subdomain ]
                                   </div>
                                </div>
                  <div class="form-group">
                    <label for="exampleInputText">Meta Description</label>
                    <textarea class="form-control" value="{{ $locationproduct->meta_description }}" name="meta_description" id="summernote">{{ $locationproduct->meta_description }}</textarea>
                    @error('meta_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                        <div class="form-group">
                            <div class="col-sm-10">
                            [Location Name - subdomain ]
                                   </div>
                                </div>
                  <div class="form-group">
                    <label for="status">Status</label><br>
                    <div class="form-check form-check-inline">
                        <input class="form-check-input" type="radio" name="status" id="status" value="active" {{ old('status', $locationproduct->status) == 'active' ? 'checked' : '' }}>
                        <label class="form-check-label" for="status">Active</label>
                    </div>
                    <div class="form-check form-check-inline">
                        <input class="form-check-input" type="radio" name="status" id="status_inactive" value="inactive" {{ old('status', $locationproduct->status) == 'inactive' ? 'checked' : '' }}>
                        <label class="form-check-label" for="status">Inactive</label>
                    </div>
                    @error('status')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>

                <div class="form-group">
                    <label for="exampleInputFile">Image</label>
                    <div class="input-group">
                        <div class="custom-file">
                            <input type="file" name="product_image" class="custom-file-input" id="exampleInputFile">
                            <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                        </div>
                        <div class="input-group-append">
                            <span class="input-group-text">Upload</span>
                        </div>
                    </div>
                    @if ($locationproduct->product_image)
                    <div class="mt-2">
                        <p>Current Image:</p>
                        <img src="{{ url('images/' . $locationproduct->product_image ) }}" alt="Current Image" width="100">
                    </div>
                    @endif
                </div>
                
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="save" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
            <!-- /.card -->

            <!-- general form elements -->
            
            <!-- /.card -->

            <!-- Input addon -->
            
            <!-- /.card -->
            <!-- Horizontal Form -->
            
            <!-- /.card -->

          </div>
          <!--/.col (left) -->
          <!-- right column -->
          
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  @include('admin.Backend.Layout.footer')

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
@include('admin.Backend.Layout.common-end')
<!-- Page specific script -->
<script>
$(function () {
  bsCustomFileInput.init();
});
</script>
</body>
</html>
