<!DOCTYPE html>
<html lang="en">
@include('admin.Backend.Layout.common-head')
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  @include('admin.Backend.Layout.header')
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  @include('admin.Backend.Layout.sidebar')

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Manage Products</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Manage Products</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Products Data</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form  method="post" action="{{ route('admin.product_data.update',$product_data->product_id) }}" enctype="multipart/form-data">
                @method('PUT')
                @csrf
                <div class="card-body">
                                                   @php
                                        // Assuming you have the necessary model and connection set up
                                        $tbl_category = \App\Models\tbl_category::select('product_cat_id','product_category_title')->get();
                                       @endphp
                                                    <div class="form-group">
                        <label for="exampleInputText">Product Category</label>
                        <select class="form-control" name="product_cat" id="product_cat">
                           <option value="{{ $product_data->product_cat }}">
                        {{ optional($product_data->tbl_category)->product_category_title }}</option>
                    
                            <option value="">Select Category</option>
                            @isset($tbl_category)
                                @foreach ($tbl_category as $category)
                                    <option value="{{ $category->product_cat_id }}">{{ $category->product_category_title }}</option>
                                @endforeach
                            @endisset
                        </select>
                        @error('product_cat_id')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                    </div>

                                       @php
                                        // Assuming you have the necessary model and connection set up
                                        $subcategory = \App\Models\subcategory::select('sub_cat_id', 'category_subtitle')->get();
                                        @endphp
                                        <div class="form-group">
                        <label for="exampleInputText">Product Sub Category</label>
                      <select class="form-control" name="product_subcat" id="product_subcat">
                           <option value="{{ $product_data->product_subcat }}">
                        {{ optional($product_data->subcategory)->category_subtitle }}</option>
                    
                            <option value="">Select Category</option>
                            @isset($subcategory)
                                @foreach ($subcategory as $subcategory_id)
                                    <option value="{{ $subcategory_id->sub_cat_id }}">{{ $subcategory_id->category_subtitle }}</option>
                                @endforeach
                            @endisset
                        </select>
                        @error('sub_cat_id')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                    </div>

                    
                    
                    
                    <!--<div class="form-group">-->
                    <!--    <label for="exampleInputText">Product Sub Category</label>-->
                    <!--    <select class="form-control" name="product_subcat" id="product_subcat">-->
                    <!--        <option value="{{ $product_data->product_subcat }}">{{ $product_data->product_subcat }}</option>-->
                    <!--        <option value="">Select Sub Category</option>-->
                    <!--        @isset($subcategory)-->
                    <!--            @foreach ($subcategory as $subcat)-->
                    <!--                <option value="{{ $subcat->sub_cat_id }}">{{ $subcat->category_subtitle }}</option>-->
                    <!--            @endforeach-->
                    <!--        @endisset-->
                    <!--    </select>-->
                    <!--    @error('banner')-->
                    <!--    <span class="invalid-feedback" role="alert">-->
                    <!--        <strong>{{ $message }}</strong>-->
                    <!--    </span>-->
                    <!--    @enderror-->
                    <!--</div>-->

                   

                  <div class="form-group">
                    <label for="exampleInputText">Product Title</label>
                    <input type="text" class="form-control" name="product_title" id="product_title" placeholder="Product Title" value="{{ $product_data->product_title }}">
                    @error('product_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <!-- <div class="form-group">
                    <label for="exampleInputText">Product Second Title</label>
                    <input type="text" class="form-control" name="banner_title" id="banner_title" placeholder="banner Title">
                    @error('meta_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div> -->
<!--                  <div class="form-group">-->
<!--    <label for="exampleInputText">Product Sub Category</label>-->
<!--    <select class="form-control" name="product_subcat" id="product_subcat">-->
<!--        @isset($tbl_category)-->
<!--            @foreach ($tbl_category as $category)-->
<!--            <option value="{{ $category->product_category_title }}">{{ $category->product_category_title }}</option>-->
<!--            @endforeach-->
<!--        @endisset-->
<!--    </select>-->
<!--    @error('product_category_title')-->
<!--    <span class="invalid-feedback" role="alert">-->
<!--        <strong>{{ $message }}</strong>-->
<!--    </span>-->
<!--    @enderror-->
<!--</div>-->
<!--                         <div class="form-group">-->
<!--    <label for="exampleInputText">Product Sub SubCategory</label>-->
<!--    <select class="form-control" name="product_subsubcat" id="pg_name">-->
<!--        @isset($tbl_category)-->
<!--            @foreach ($tbl_category as $category)-->
<!--            <option value="{{ $category->product_category_title }}">{{ $category->product_category_title }}</option>-->
<!--            @endforeach-->
<!--        @endisset-->
<!--    </select>-->
<!--    @error('banner')-->
<!--    <span class="invalid-feedback" role="alert">-->
<!--        <strong>{{ $message }}</strong>-->
<!--    </span>-->
<!--    @enderror-->
<!--</div>-->

                  <div class="form-group">
                    <label for="exampleInputText">Page Url</label>
                    <input type="text" class="form-control" name="product_data_url" id="product_data_url" placeholder="Page Url" value="{{ $product_data->product_data_url }}">
                    @error('product_data_url')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
           <!--<div class="form-group">-->
           <!--         <label for="exampleInputText">Page Url Link</label>-->
           <!--         <input type="text" class="form-control" name="page_url_link" id="page_url_link" placeholder="Page Url Link" value="{{ $product_data->banner_title }}">-->
           <!--         @error('page_url_link')-->
           <!--         <span class="invalid-feedback" role="alert">-->
           <!--             <strong>{{ $message }}</strong>-->
           <!--         </span>-->
           <!--     @enderror-->
           <!--       </div>-->

                  <div class="form-group">
                    <label for="exampleInputText">Page Meta Title</label>
                    <input type="text" class="form-control" name="pg_meta_title" id="pg_meta_title" placeholder="Page Meta Title" value="{{ $product_data->pg_meta_title }}">
                    @error('pg_meta_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Page Meta Keyword</label>
                    <input type="text" class="form-control" name="pg_meta_keyword" id="pg_meta_keyword" placeholder="Page Meta Keyword" value="{{ $product_data->pg_meta_keyword }}">
                    @error('pg_meta_keyword')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                <!--  <div class="form-group">-->
                <!--    <label for="exampleInputText">Quntity</label>-->
                <!--    <input type="number" class="form-control" name="quantity" id="quantity" placeholder="Quntity" value="{{ $product_data->quantity }}">-->
                <!--    @error('quantity')-->
                <!--    <span class="invalid-feedback" role="alert">-->
                <!--        <strong>{{ $message }}</strong>-->
                <!--    </span>-->
                <!--@enderror-->
                <!--  </div>-->

                <!--  <div class="form-group">-->
                <!--    <label for="exampleInputText">Availbilty</label>-->
                <!--    <input type="text" class="form-control" name="availability" id="availability" placeholder="Availbilty" value="{{ $product_data->availability }}">-->
                <!--    @error('availability')-->
                <!--    <span class="invalid-feedback" role="alert">-->
                <!--        <strong>{{ $message }}</strong>-->
                <!--    </span>-->
                <!--@enderror-->
                <!--  </div>-->

                <!--  <div class="form-group">-->
                <!--    <label for="exampleInputText">MRP Price</label>-->
                <!--    <input type="number" class="form-control" name="mrp_price" id="mrp_price" placeholder="MRP Price" value="{{ $product_data->mrp_price }}">-->
                <!--    @error('mrp_price')-->
                <!--    <span class="invalid-feedback" role="alert">-->
                <!--        <strong>{{ $message }}</strong>-->
                <!--    </span>-->
                <!--@enderror-->
                <!--  </div>-->

                <!--  <div class="form-group">-->
                <!--    <label for="exampleInputText">Discount</label>-->
                <!--    <input type="number" class="form-control" name="discount" id="discount" placeholder="Discount" value="{{ $product_data->discount }}">-->
                <!--    @error('discount')-->
                <!--    <span class="invalid-feedback" role="alert">-->
                <!--        <strong>{{ $message }}</strong>-->
                <!--    </span>-->
                <!--@enderror-->
                <!--  </div>-->

                <!--  <div class="form-group">-->
                <!--    <label for="exampleInputText">Discount Price</label>-->
                <!--    <input type="number" class="form-control" name="discounted_price" id="discounted_price" placeholder="Discounted Price" value="{{ $product_data->discounted_price }}">-->
                <!--    @error('discounted_price')-->
                <!--    <span class="invalid-feedback" role="alert">-->
                <!--        <strong>{{ $message }}</strong>-->
                <!--    </span>-->
                <!--@enderror-->
                <!--  </div>-->
                  
                  <div class="form-group">
                    <label for="exampleInputText">Page Meta Description</label>
                    <textarea name="pg_meta_desc" value="{{ $product_data->pg_meta_desc }}" class="form-control">{{ $product_data->pg_meta_desc }}</textarea>
                    @error('pg_meta_desc')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Short Description</label>
                    <textarea name="sort_description" value="{{ $product_data->sort_description }}" class="form-control">{{ $product_data->sort_description }}</textarea>
                    @error('sort_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Description</label>
                    <textarea name="description" value="{{ $product_data->description }}" id="summernote" class="form-control">{{ $product_data->description }}</textarea>
                    @error('description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                   <div class="form-group">
                    <label for="exampleInputText">Extra Content</label>
                    <textarea name="extra_content" value="{{ $product_data->extra_content }}" id="extra_content" class="form-control">{{ $product_data->extra_content }}</textarea>
                    @error('description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                   <div class="row">
                   <div class="form-group col-md-6">
                    <label for="exampleInputText">Tab Heading One</label>
                    <input type="text" class="form-control" value="{{ $product_data->tab_one_heading }}" name="tab_one_heading" id="tab_one_heading" >
                    @error('tab_one_heading')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                   <div class="form-group col-md-6">
                    <label for="exampleInputText">Tab Heading Two</label>
                    <input type="text" class="form-control" value="{{ $product_data->tab_two_heading }}" name="tab_two_heading" id="tab_two_heading" >
                    @error('tab_two_heading')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                   <div class="form-group col-md-6">
                    <label for="exampleInputText">Tab Heading Three</label>
                    <input type="text" class="form-control" value="{{ $product_data->tab_three_heading }}" name="tab_three_heading" id="tab_three_heading" >
                    @error('tab_three_heading')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                   <div class="form-group col-md-6">
                    <label for="exampleInputText">Tab Heading Four</label>
                    <input type="text" class="form-control" value="{{ $product_data->tab_four_heading }}" name="tab_four_heading" id="tab_four_heading">
                    @error('tab_four_heading')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                   <div class="form-group col-md-6">
                    <label for="exampleInputText">Tab Heading Five</label>
                    <input type="text" class="form-control" value="{{ $product_data->tab_five_heading }}" name="tab_five_heading" id="tab_five_heading">
                    @error('tab_five_heading')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                   <div class="form-group col-md-6">
                    <label for="exampleInputText">Tab Heading Six</label>
                    <input type="text" class="form-control" value="{{ $product_data->tab_six_heading }}" name="tab_six_heading" id="tab_six_heading">
                    @error('tab_six_heading')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
            
            </div>
             <div class="form-group">
                    <label for="exampleInputText">Tab One Discription</label>
                    <textarea name="tab_one_description" value="{{ $product_data->tab_one_description }}" id="tab_one_description" class="form-control">{{ $product_data->tab_one_description }}</textarea>
                    @error('tab_one_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Tab two Discription</label>
                    <textarea name="tab_two_description" value="{{ $product_data->tab_two_description }}" id="tab_two_description" class="form-control">{{ $product_data->tab_two_description }}</textarea>
                    @error('tab_two_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Tab Three Discription</label>
                    <textarea name="tab_three_description" value="{{ $product_data->tab_three_description }}" id="tab_three_description" class="form-control">{{ $product_data->tab_three_description }}</textarea>
                    @error('tab_three_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Tab Four Discription</label>
                    <textarea name="tab_four_description" value="{{ $product_data->tab_four_description }}" id="tab_four_description" class="form-control">{{ $product_data->tab_four_description }}</textarea>
                    @error('tab_four_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Tab Five Discription</label>
                    <textarea name="tab_five_description" value="{{ $product_data->tab_five_description }}" id="tab_five_description" class="form-control">{{ $product_data->tab_five_description }}</textarea>
                    @error('tab_five_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Tab Six Discription</label>
                    <textarea name="tab_six_description" value="{{ $product_data->tab_six_description }}" id="tab_six_description" class="form-control">{{ $product_data->tab_six_description }}</textarea>
                    @error('tab_six_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                <!--  <div class="form-group">-->
                <!--    <label for="status">Status</label><br>-->
                <!--    <div class="form-check form-check-inline">-->
                <!--        <input class="form-check-input" type="radio" name="pg_status" id="status_active" value="active" {{ old('pg_status', $product_data->pg_status) == 'active' ? 'checked' : '' }}>-->
                <!--        <label class="form-check-label" for="status_active">Active</label>-->
                <!--    </div>-->
                <!--    <div class="form-check form-check-inline">-->
                <!--        <input class="form-check-input" type="radio" name="pg_status" id="status_inactive" value="inactive" {{ old('pg_status', $product_data->pg_status) == 'inactive' ? 'checked' : '' }}>-->
                <!--        <label class="form-check-label" for="status_inactive">Inactive</label>-->
                <!--    </div>-->
                <!--    @error('status')-->
                <!--        <span class="invalid-feedback" role="alert">-->
                <!--            <strong>{{ $message }}</strong>-->
                <!--        </span>-->
                <!--    @enderror-->
                <!--</div>-->

                <div class="form-group">
                  <label for="exampleInputFile">Image</label>
                  <div class="input-group">
                      <div class="custom-file">
                          <input type="file" name="image" class="custom-file-input" id="exampleInputFile">
                          <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                          <span class="input-group-text">Upload</span>
                      </div>
                  </div>
                  @if ($product_data->image)
                  <div class="mt-2">
                      <p>Current Image:</p>
                      <img src="{{ url('images/' . $product_data->image ) }}" alt="Current Image" width="100">
                  </div>
                  @endif
              </div>
              
              <div class="form-group">
                  <label for="exampleInputFile">Image 1</label>
                  <div class="input-group">
                      <div class="custom-file">
                          <input type="file" name="image1" class="custom-file-input" id="exampleInputFile">
                          <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                          <span class="input-group-text">Upload</span>
                      </div>
                  </div>
                  @if ($product_data->image1)
                  <div class="mt-2">
                      <p>Current Image:</p>
                      <img src="{{ url('images/' . $product_data->image1 ) }}" alt="Current Image" width="100">
                  </div>
                  @endif
              </div>
              
              <div class="form-group">
                  <label for="exampleInputFile">Image 2</label>
                  <div class="input-group">
                      <div class="custom-file">
                          <input type="file" name="image2" class="custom-file-input" id="exampleInputFile">
                          <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                          <span class="input-group-text">Upload</span>
                      </div>
                  </div>
                  @if ($product_data->image2)
                  <div class="mt-2">
                      <p>Current Image:</p>
                      <img src="{{ url('images/' . $product_data->image2 ) }}" alt="Current Image" width="100">
                  </div>
                  @endif
              </div>
              
              <div class="form-group">
                  <label for="exampleInputFile">Image 3</label>
                  <div class="input-group">
                      <div class="custom-file">
                          <input type="file" name="image3" class="custom-file-input" id="exampleInputFile">
                          <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                          <span class="input-group-text">Upload</span>
                      </div>
                  </div>
                  @if ($product_data->image3)
                  <div class="mt-2">
                      <p>Current Image:</p>
                      <img src="{{ url('images/' . $product_data->image3 ) }}" alt="Current Image" width="100">
                  </div>
                  @endif
              </div>
              
              <div class="form-group">
                  <label for="exampleInputFile">Image 4</label>
                  <div class="input-group">
                      <div class="custom-file">
                          <input type="file" name="image4" class="custom-file-input" id="exampleInputFile">
                          <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                          <span class="input-group-text">Upload</span>
                      </div>
                  </div>
                  @if ($product_data->image4)
                  <div class="mt-2">
                      <p>Current Image:</p>
                      <img src="{{ url('images/' . $product_data->image4 ) }}" alt="Current Image" width="100">
                  </div>
                  @endif
              </div>
                  
        <!--      <div class="form-group">-->
        <!--        <label for="exampleInputFile">Second Image</label>-->
        <!--        <div class="input-group">-->
        <!--            <div class="custom-file">-->
        <!--                <input type="file" name="image_one" class="custom-file-input" id="exampleInputFile">-->
        <!--                <label class="custom-file-label" for="exampleInputFile">Choose file</label>-->
        <!--            </div>-->
        <!--            <div class="input-group-append">-->
        <!--                <span class="input-group-text">Upload</span>-->
        <!--            </div>-->
        <!--        </div>-->
        <!--        @if ($product_data->image_one)-->
        <!--        <div class="mt-2">-->
        <!--            <p>Current Image:</p>-->
        <!--            <img src="{{ url('images/' . $product_data->image_one ) }}" alt="Current Image" width="100">-->
        <!--        </div>-->
        <!--        @endif-->
        <!--    </div>-->
        <!--    <div class="form-group">-->
        <!--      <label for="exampleInputFile">Third Image</label>-->
        <!--      <div class="input-group">-->
        <!--          <div class="custom-file">-->
        <!--              <input type="file" name="image_two" class="custom-file-input" id="exampleInputFile">-->
        <!--              <label class="custom-file-label" for="exampleInputFile">Choose file</label>-->
        <!--          </div>-->
        <!--          <div class="input-group-append">-->
        <!--              <span class="input-group-text">Upload</span>-->
        <!--          </div>-->
        <!--      </div>-->
        <!--      @if ($product_data->image_two)-->
        <!--      <div class="mt-2">-->
        <!--          <p>Current Image:</p>-->
        <!--          <img src="{{ url('images/' . $product_data->image_two ) }}" alt="Current Image" width="100">-->
        <!--      </div>-->
        <!--      @endif-->
        <!--  </div>-->

        <!--  <div class="form-group">-->
        <!--    <label for="exampleInputFile">Defalut Image</label>-->
        <!--    <div class="input-group">-->
        <!--        <div class="custom-file">-->
        <!--            <input type="file" name="default_image" class="custom-file-input" id="exampleInputFile">-->
        <!--            <label class="custom-file-label" for="exampleInputFile">Choose file</label>-->
        <!--        </div>-->
        <!--        <div class="input-group-append">-->
        <!--            <span class="input-group-text">Upload</span>-->
        <!--        </div>-->
        <!--    </div>-->
        <!--    @if ($product_data->default_image)-->
        <!--    <div class="mt-2">-->
        <!--        <p>Current Image:</p>-->
        <!--        <img src="{{ url('images/' . $product_data->default_image ) }}" alt="Current Image" width="100">-->
        <!--    </div>-->
        <!--    @endif-->
        <!--</div>-->

        <div class="form-group">
          <label for="exampleInputFile">PDF File</label>
          <div class="input-group">
              <div class="custom-file">
                  <input type="file" name="pdf_file" class="custom-file-input" id="exampleInputFile">
                  <label class="custom-file-label" for="exampleInputFile">Choose file</label>
              </div>
              <div class="input-group-append">
                  <span class="input-group-text">Upload</span>
              </div>
          </div>
          @if ($product_data->default_image)
          <div class="mt-2">
              <p>Current Image:</p>
              <img src="{{ url('images/' . $product_data->pdf_file ) }}" alt="Current Image" width="100">
          </div>
          @endif
      </div>


                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="save" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
            <!-- /.card -->

            <!-- general form elements -->
            
            <!-- /.card -->

            <!-- Input addon -->
            
            <!-- /.card -->
            <!-- Horizontal Form -->
            
            <!-- /.card -->

          </div>
          <!--/.col (left) -->
          <!-- right column -->
          
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  @include('admin.Backend.Layout.footer')

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
@include('admin.Backend.Layout.common-end')
<!-- Page specific script -->
<script>
$(function () {
  bsCustomFileInput.init();
});
</script>
</body>
</html>
