<!DOCTYPE html>
<html lang="en">
@include('admin.Backend.Layout.common-head')
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  @include('admin.Backend.Layout.header')
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  @include('admin.Backend.Layout.sidebar')

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Manage Page</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Manage Banner</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Banner Management</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form  method="post" action="{{ route('admin.tbl_banner.update',$tbl_banner->banner_id) }}" enctype="multipart/form-data">
              @csrf
    @method('PUT')
                <div class="card-body">
                @php
    // Assuming you have the necessary model and connection set up
    $tbl_pages = \App\Models\tbl_page::all();
@endphp

<div class="form-group">
    <label for="exampleInputText">Banner Category</label>
    <select class="form-control" name="banner_category" id="banner_category">
        @isset($tbl_pages)
            @foreach ($tbl_pages as $page)
                <option value="{{ $page->pg_name }}" {{ $page->pg_name == $tbl_banner->banner_category ? 'selected' : '' }}>
                    {{ $page->pg_name }}
                </option>
            @endforeach
        @endisset
    </select>
    @error('banner_category')
        <span class="invalid-feedback" role="alert">
            <strong>{{ $message }}</strong>
        </span>
          @enderror
          </div>

                  <div class="form-group">
                    <label for="exampleInputText">Banner Type</label>
                    <input type="text" class="form-control" name="banner_type" id="banner_type" placeholder="banner type" value="{{ $tbl_banner->banner_type }}">
                    @error('redirection_url')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Banner Title</label>
                    <input type="text" class="form-control" name="banner_title" id="banner_title" placeholder="banner Title" value="{{ $tbl_banner->banner_title }}">
                    @error('meta_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Banner Second Title</label>
                    <input type="text" class="form-control" name="banner_second_title" id="banner_second_title" placeholder="Banner Second Title" value="{{ $tbl_banner->banner_second_title }}">
                    @error('meta_keyword')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Banner Position</label>
                    <input type="text" class="form-control" name="banner_position" id="banner_position" placeholder="Banner Position" value="{{ $tbl_banner->banner_position }}">
                    @error('meta_keyword')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Banner Description</label>
                    <textarea  class="form-control" name="banner_discription" id="summernote" placeholder="Banner Description" value="{{ $tbl_banner->banner_discription }}">{{ $tbl_banner->banner_discription }}</textarea>
                    @error('meta_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputFile">Banner Image</label>
                    <div class="input-group">
                      <div class="custom-file">
                        <input type="file" name="banner_image" class="custom-file-input" id="exampleInputFile">
                        <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                        <span class="input-group-text">Upload</span>
                      </div>
                    </div>
                  </div>
                  
                  <!-- <div class="form-group">
                    <label for="exampleInputFile">Second Image</label>
                    <div class="input-group">
                      <div class="custom-file">
                        <input type="file" name="second_image" class="custom-file-input" id="exampleInputFile">
                        <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                        <span class="input-group-text">Upload</span>
                      </div>
                    </div>
                  </div> -->

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="save" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
            <!-- /.card -->

            <!-- general form elements -->
            
            <!-- /.card -->

            <!-- Input addon -->
            
            <!-- /.card -->
            <!-- Horizontal Form -->
            
            <!-- /.card -->

          </div>
          <!--/.col (left) -->
          <!-- right column -->
          
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  @include('admin.Backend.Layout.footer')

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
@include('admin.Backend.Layout.common-end')
<!-- Page specific script -->
<script>
$(function () {
  bsCustomFileInput.init();
});
</script>
</body>
</html>
