<!DOCTYPE html>
<html lang="en">
@include('admin.Backend.Layout.common-head')
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  @include('admin.Backend.Layout.header')
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  @include('admin.Backend.Layout.sidebar')

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Manage Blogs</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Manage Blogs</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Blogs Management</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form  method="post" action="{{ route('admin.tbl_blog.update',$tbl_blog->blog_id) }}" enctype="multipart/form-data">
                @csrf
                @method('PUT')
                <div class="card-body">

                  <div class="form-group">
                    <label for="exampleInputText">Blog Name</label>
                    <input type="text" class="form-control" name="blog_title" id="blog_title" value="{{ $tbl_blog->blog_title }}" placeholder="Blog Name">
                    @error('blog_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>


                  <div class="form-group">
                    <label for="exampleInputText">Blog By</label>
                    <input type="text" class="form-control" name="blog_by" id="blog_by" value="{{ $tbl_blog->blog_by }}" placeholder="Blog By">
                    @error('blog_by')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Blog slug</label>
                    <input type="text" class="form-control" name="blog_slug" id="blog_slug" value="{{ $tbl_blog->blog_slug }}" placeholder="Blog Slug">
                    @error('blog_slug')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Blog Date</label>
                    <input type="date" class="form-control" name="date_time" value="{{ $tbl_blog->date_time }}" id="date_time">
                    @error('date_time')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Short Description</label>
                    <textarea class="form-control" name="short_description" value="{{ $tbl_blog->short_description }}" id="short_description">{{ $tbl_blog->short_description }}</textarea>
                    @error('short_description')
                    <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                    </span>
                    @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Description</label>
                    <textarea class="form-control" value="{{ $tbl_blog->description }}" name="description" id="summernote">{{ $tbl_blog->description }}</textarea>
                    @error('description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
            
                  <div class="form-group">
                    <label for="exampleInputText">Meta Title</label>
                    <input type="text" class="form-control" value="{{ $tbl_blog->pg_meta_title }}" name="pg_meta_title" id="pg_meta_title" placeholder="Meta Title">
                    @error('pg_meta_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Meta Keyword</label>
                    <textarea class="form-control" value="{{ $tbl_blog->pg_meta_keyword }}" name="pg_meta_keyword" id="pg_meta_keyword">{{ $tbl_blog->pg_meta_keyword }}</textarea>
                    @error('short_discription')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Meta Description</label>
                    <textarea class="form-control" value="{{ $tbl_blog->pg_meta_desc }}" name="pg_meta_desc" id="pg_meta_desc">{{ $tbl_blog->pg_meta_desc }}</textarea>
                    @error('pg_meta_desc')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputFile">Blog Image</label>
                    <div class="input-group">
                      <div class="custom-file">
                        <input type="file" name="image" class="custom-file-input" id="exampleInputFile">
                        <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                        <span class="input-group-text">Upload</span>
                      </div>
                    </div>
                  </div>
                  
                  
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="save" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
            <!-- /.card -->

            <!-- general form elements -->
            
            <!-- /.card -->

            <!-- Input addon -->
            
            <!-- /.card -->
            <!-- Horizontal Form -->
            
            <!-- /.card -->

          </div>
          <!--/.col (left) -->
          <!-- right column -->
          
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  @include('admin.Backend.Layout.footer')

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
@include('admin.Backend.Layout.common-end')
<!-- Page specific script -->
<script>
$(function () {
  bsCustomFileInput.init();
});
</script>
</body>
</html>
