<!DOCTYPE html>
<html lang="en">
@include('admin.Backend.Layout.common-head')
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  @include('admin.Backend.Layout.header')
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  @include('admin.Backend.Layout.sidebar')

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Manage Page</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Manage Page</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Page Management</h3>
              </div>
              @if ($errors->any())
             <div class="alert alert-danger">
             <ul>
            @foreach ($errors->all() as $error)
              <li>{{ $error }}</li>
            @endforeach
            </ul>
             </div><br />
             @endif
              <!-- /.card-header -->
              <!-- form start -->
              <form  method="POST" action="{{ route('admin.tbl_page.update',$tbl_page->pg_id) }}" enctype="multipart/form-data">
              @method('PUT')
             @csrf
                <div class="card-body">
                <div class="form-group">
                    <label for="exampleInputText">Page Name</label>
                    <input type="text" class="form-control" value="{{ $tbl_page->pg_name }}" name="pg_name" id="pg_name">
                    @error('pg_name')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Page Url</label>
                    <input type="text" class="form-control" value="{{ $tbl_page->pg_url }}" name="pg_url" id="pg_url" >
                    @error('redirection_url')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText"> Meta Title </label>
                    <input type="text" class="form-control" value="{{ $tbl_page->pg_meta_title }}" name="meta_title" id="meta_title" >
                    @error('meta_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText"> Meta Keywords </label>
                    <input type="text" class="form-control" value="{{ $tbl_page->pg_meta_keyword }}" name="meta_keyword" id="meta_keyword" >
                    @error('meta_keyword')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText"> Meta Description </label>
                    <input type="text" class="form-control" value="{{ $tbl_page->pg_meta_desc }}" name="meta_description" id="meta_description" >
                    @error('meta_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Short Description</label>
                    <textarea name="shrt_description" value="{{ $tbl_page->short_description }}" class="form-control">{{ $tbl_page->short_description }}</textarea>
                    @error('description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Description</label>
                    <textarea name="description" id="summernote"value="{{ $tbl_page->description }}" class="form-control">{{ $tbl_page->description }}</textarea>
                    @error('description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Extra Content</label>
                    <textarea name="footer_content" id="editor" value="{{ $tbl_page->footer_content }}" class="form-control">{{ $tbl_page->footer_content }}</textarea>
                    @error('footer_content')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                <!--  <div class="form-group">-->
                <!--    <label for="status">Status</label><br>-->
                <!--    <div class="form-check form-check-inline">-->
                <!--        <input class="form-check-input" type="radio" name="pg_status" id="status_active" value="active" {{ old('pg_status') == 'active' ? 'checked' : ($tbl_page->pg_status == 'active' ? 'checked' : '') }}>-->
                <!--        <label class="form-check-label" for="status_active">Active</label>-->
                <!--    </div>-->
                <!--    <div class="form-check form-check-inline">-->
                <!--        <input class="form-check-input" type="radio" name="pg_status" id="status_inactive" vvalue="inactive" {{ old('pg_status') == 'inactive' ? 'checked' : ($tbl_page->pg_status == 'inactive' ? 'checked' : '') }}>-->
                <!--        <label class="form-check-label" for="status_inactive">Inactive</label>-->
                <!--    </div>-->
                <!--    @error('pg_status')-->
                <!--        <span class="invalid-feedback" role="alert">-->
                <!--            <strong>{{ $message }}</strong>-->
                <!--        </span>-->
                <!--    @enderror-->
                <!--</div>-->
                


                  <div class="form-group">
                    <label for="exampleInputFile">Ist Image</label>
                    <div class="input-group">
                      <div class="custom-file">
                        <input type="file" name="image" class="custom-file-input" id="exampleInputFile">
                        <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                        <span class="input-group-text">Upload</span>
                      </div>
                    </div>
                  </div>
                  
                  <!-- <div class="form-group">
                    <label for="exampleInputFile">Second Image</label>
                    <div class="input-group">
                      <div class="custom-file">
                        <input type="file" name="second_image" class="custom-file-input" id="exampleInputFile">
                        <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                        <span class="input-group-text">Upload</span>
                      </div>
                    </div>
                  </div> -->

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="save" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
            <!-- /.card -->

            <!-- general form elements -->
            
            <!-- /.card -->

            <!-- Input addon -->
            
            <!-- /.card -->
            <!-- Horizontal Form -->
            
            <!-- /.card -->

          </div>
          <!--/.col (left) -->
          <!-- right column -->
          
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  @include('admin.Backend.Layout.footer')

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
@include('admin.Backend.Layout.common-end')
<!-- Page specific script -->
<script>
$(function () {
  bsCustomFileInput.init();
});
</script>
</body>
</html>
