<!DOCTYPE html>
<html lang="en">
@include('admin.Backend.Layout.common-head')
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  @include('admin.Backend.Layout.header')
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  @include('admin.Backend.Layout.sidebar')

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Manage Website</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Manage Website</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Website Management</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form method="post" action="{{ route('admin.website',$website->website_id) }}" enctype="multipart/form-data">
                @method('PUT')
                @csrf
                <div class="card-body">
                    <div class="form-group">
                        <label for="exampleInputText">Website Name</label>
                        <input type="text" class="form-control" value="{{ $website->website_title }}" name="website_title" id="website_title" >
                        @error('website_title')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                    </div>
                    
                  <div class="form-group">
                    <label for="exampleInputText">Website Tagline</label>
                    <input type="text" class="form-control" value="{{ $website->website_tagline }}" name="website_tagline" id="website_tagline" >
                    @error('website_tagline')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Email</label>
                    <input type="text" class="form-control" value="{{ $website->email }}" name="email" id="email" >
                    @error('meta_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Contact Email</label>
                    <input type="text" class="form-control" value="{{ $website->contact_email }}" name="contact_email" id="contact_email" >
                    @error('contact_email')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Phone Number</label>
                    <input type="text" class="form-control" value="{{ $website->phone }}" name="phone" id="phone" >
                    @error('phone')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Mobile Number</label>
                    <input type="text" class="form-control" value="{{ $website->mobile }}" name="mobile" id="mobile" >
                    @error('mobile')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Head Office Address</label>
                    <textarea name="head_office_address" value="{{ $website->head_office_address }}" class="form-control">{{ $website->head_office_address }}</textarea>
                    @error('head_office_address')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Branch Office Address</label>
                    <textarea name="branch_office_address" value="{{ $website->branch_office_address }}" class="form-control">{{ $website->branch_office_address }}</textarea>
                    @error('branch_office_address')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Office Address 3</label>
                    <textarea name="office_address_three" value="{{ $website->office_address_three }}" class="form-control">{{ $website->office_address_three }}</textarea>
                    @error('office_address_three')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Office Address 4</label>
                    <textarea name="office_address_four" value="{{ $website->office_address_four }}" class="form-control">{{ $website->office_address_four }}</textarea>
                    @error('office_address_four')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Office Address 5</label>
                    <textarea name="office_address_five" value="{{ $website->office_address_five }}" class="form-control">{{ $website->office_address_five }}</textarea>
                    @error('office_address_five')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Enquiry Form</label>
                    <textarea name="footer_content" value="{{ $website->footer_content }}" class="form-control">{{ $website->footer_content }}</textarea>
                    @error('footer_content')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Facebook</label>
                    <input type="text" class="form-control" value="{{ $website->website_facebook }}" name="website_facebook" id="meta_keyword">
                    @error('meta_keyword')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Linkedin</label>
                    <input type="text" class="form-control" value="{{ $website->website_linkedin }}" name="website_linkedin" id="meta_keyword">
                    @error('meta_keyword')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Twitter</label>
                    <input type="text" class="form-control" value="{{ $website->website_twitter }}" name="website_twitter" id="meta_keyword">
                    @error('meta_keyword')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputText">Instagram</label>
                    <input type="text" class="form-control" value="{{ $website->website_instagram }}" name="website_instagram" id="meta_keyword">
                    @error('meta_keyword')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Pinterest</label>
                    <input type="text" class="form-control" value="{{ $website->pinterest }}" name="pinterest" id="pinterest">
                    @error('pinterest')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Youtube</label>
                    <input type="text" class="form-control" value="{{ $website->website_youtube }}" name="website_youtube" id="meta_keyword">
                    @error('meta_keyword')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Google Aanalytics Code</label>
                    <textarea class="form-control" value="{{ $website->google_map }}" name="google_map" id="google_map">{{ $website->google_map }}</textarea>
                    @error('website_instagram')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                <!--  <div class="form-group">-->
                <!--    <label for="exampleInputText">Header Text</label>-->
                <!--    <textarea class="form-control" value="{{ $website->website_instagram }}" name="website_instagram" id="website_instagram">{{ $website->category_subtitle }}</textarea>-->
                <!--    @error('website_instagram')-->
                <!--    <span class="invalid-feedback" role="alert">-->
                <!--        <strong>{{ $message }}</strong>-->
                <!--    </span>-->
                <!--@enderror-->
                <!--  </div>-->

                  <div class="form-group">
                    <label for="exampleInputText">Footer Text</label>
                    <textarea class="form-control" value="{{ $website->footer_text }}" name="footer_text" id="website_instagram">{{ $website->footer_text }}</textarea>
                    @error('website_instagram')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputFile">Logo Image</label>
                    <div class="input-group">
                        <div class="custom-file">
                            <input type="file" name="website_logo" class="custom-file-input" id="exampleInputFile">
                            <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                        </div>
                        <div class="input-group-append">
                            <span class="input-group-text">Upload</span>
                        </div>
                    </div>
                    @if ($website->website_logo)
                    <div class="mt-2">
                        <p>Current Image:</p>
                        <img src="{{ url('images/' . $website->website_logo) }}" alt="Current Image" width="100">
                    </div>
                    @endif
                </div>
            
                <div class="form-group">
                  <label for="exampleInputFile">Website Icon</label>
                  <div class="input-group">
                      <div class="custom-file">
                          <input type="file" name="website_icon" class="custom-file-input" id="exampleInputFile">
                          <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                          <span class="input-group-text">Upload</span>
                      </div>
                  </div>
                  @if ($website->website_icon)
                  <div class="mt-2">
                      <p>Current Image:</p>
                      <img src="{{ url('images/' . $website->website_icon) }}" alt="Current Image" width="100">
                  </div>
                  @endif
              </div>
                
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="save" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
            <!-- /.card -->

            <!-- general form elements -->
            
            <!-- /.card -->

            <!-- Input addon -->
            
            <!-- /.card -->
            <!-- Horizontal Form -->
            
            <!-- /.card -->

          </div>
          <!--/.col (left) -->
          <!-- right column -->
          
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  @include('admin.Backend.Layout.footer')

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
@include('admin.Backend.Layout.common-end')
<!-- Page specific script -->
<script>
$(function () {
  bsCustomFileInput.init();
});
</script>
</body>
</html>
