<!doctype html>
<html lang="en">

<head>
    @foreach($website as $web)
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{{ $blogData->blog_title }}</title>
    <meta name="description" content="{{ $blogData->blog_title }}">
    <meta name="keywords" content="{{ $blogData->blog_title }}">
    <meta name="author" content="{{ $web->website_tagline }}">
    <!-- Bootstrap CSS -->
     <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css" />
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/style.css') }}">
    <link href="{{ url('images/' . $web['website_logo']) }}" rel="icon">
    @endforeach
</head>

<body>

     @include('include.header-inner')
    
    <div class="innre-banner">
        
       <img src="{{ asset('assets/image/img/home-banner-2.jpg') }}" alt="">
          
        <div class="inner-text">
            <span class="in-tead">
                {{ $blogData->blog_title }}
            </span>
            <div class="brade-cram">
                <a href="{{ url('/') }}">Home / </a>
                <span>{{ $blogData->blog_title }}</span>
            </div>
        </div>
        
    </div>

     <section class="blog-detail">
        <div class="container">
            <div class="row">
            <div class="col-lg-8">
                <div class="blog-left">
                    <div class="main-head">
                        <span class="big-head">Lorem ipsum dolor sit, amet consectetur .</span>
                    </div>
                    <div class="img">
                        <img src="{{ url('images/' . $blogData['image']) }}" alt="">
                    </div>
                    <h4>{{$blogData->short_description}}</h4>
                    <p>{!! htmlspecialchars_decode($blogData->first()->description) !!}</p>
                   
                </div>
            </div>
            <div class="col-lg-4">
                <div class="de-date">
                    <h4 class="side-main-head">Recent Post</h4>
                    <ul>
                         @foreach($blog as $data)
                        <li>
                            <a href="{{ url('blog', ['blog_slug' => $data->blog_slug]) }}">{{ $data->blog_title }}</a>
                            <span>{{ \Carbon\Carbon::createFromFormat('Y-m-d', $data->date_time)->format('j M Y') }}</span>
                        </li>
                        @endforeach 
                        

                    </ul>
                </div>
            </div>
            </div>
        </div>
    </section>

   @include('contact-home')

    @include('include.footer-inner')


    @include('include.comman-end')

</body>

</html>