<!doctype html>

<html lang="en">

<head>
    @php
    $originalkeyword = $subdomainData->meta_keywords;
    $productTitle = $productData->product_title;
    $originaldiscription = $subdomainData->meta_description;
    $originaltitle = $subdomainData->meta_title;
    $replacetitle = str_replace('keyword', $productTitle, $originaltitle);
    $replacekeyword = str_replace('keyword', $productTitle, $originalkeyword);
    $replacediscription = str_replace('keyword', $productTitle, $originaldiscription);
    @endphp
     @foreach($website as $web)
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css" />
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <link rel="canonical" href="{{ url()->current() }}" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/style.css') }}">
     <link href="{{ url('images/' . $web['website_icon']) }}" rel="icon">
    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
     <title>{{ $replacetitle }}</title>
    <meta name="keywords" content="{{ $replacekeyword }}">
    <meta name="description" content="{{ $replacediscription }}">
    <meta name="author" content="{{ $web->website_tagline }}">
    @endforeach
</head>

<body>
    
    @include('include.header-inner')
    

   <section class="inner_header">
           @php
    $originalShortDescription = $subdomainData->short_discription;
    $productTitle = $productData->product_title;
    $Description = $subdomainData->description;
    $replaceddescription = str_replace('keyword', $productTitle, $Description);
    $replacedDescription = str_replace('keyword', $productTitle, $originalShortDescription);
    @endphp
        <img src="{{ asset('assets/image/img/banner-1.jpg') }}" alt="">
        <div class="inner_text">
            <span class="inner_hrad">{{ $replacedDescription }}</span>
            <!--<div class="brade_crom">-->
            <!--    <a href="#">Home /</a>-->
            <!--    <span>{{ $replacedDescription }}</span>-->
            <!--</div>-->
        </div>
    </section>
    
    <section class="ab_home2 margin" >
        <div class="container">
            <div class="row">
                <div class="col-md-5">
                    <div class="main_img">
                        <div class="ab_all_img_in">
                        <img src="{{ url('images/' . $productData['image']) }}" alt="{{ $replacedDescription }}" title="{{ $replacedDescription }}">
                        </div>
                        <!-- Share btn start -->
                        <div class="share-btn-box">
                            <span class="share-btn">
                                <i class="fa fa-share" aria-hidden="true"></i> Share On
                            </span>
                            <div class="social-share">
                                <ul>
                                    <li>
                                        <button type="button" class=" facebook" data-sharer="facebook"
                                            data-url="{{ url()->current() }}"><i
                                                class="fa-brands fa-facebook"></i> </button>
                                    </li>
                                    <li>
                                        <button type="button" class=" twitter" data-sharer="twitter"
                                            data-url="{{ url()->current() }}"><i
                                                class="fa-brands fa-twitter"></i>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button" class=" whatsapp" data-sharer="whatsapp"
                                            data-title="Checkout this:"
                                            data-url="{{ url()->current() }}"><i
                                                class="fa-brands fa-whatsapp"></i></button>
                                    </li>
                                    <li>
                                        <button type="button" class=" linkedin" data-sharer="linkedin"
                                            data-url="{{ url()->current() }}"><i
                                                class="fa-brands fa-linkedin"></i>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button" class=" telegram" data-sharer="telegram"
                                            data-title="Checkout this:"
                                            data-url="{{ url()->current() }}"><i
                                                class="fa-brands fa-telegram"></i>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button" class=" email" data-sharer="email"
                                            data-title="Checkout this:"
                                            data-url="{{ url()->current() }}"><i
                                                class="fa-regular fa-envelope"></i>
                                        </button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <!-- Share btn end -->
                    </div>
                </div>
                <div class="col-md-7">
                    <div class="ab_text">
                        <span class="small_head">Product Details</span>
                        <span class="Big_head"> {{ $replacedDescription }}</span>
                        <p>{!! htmlspecialchars_decode($replaceddescription) !!}</p>
                    </div>
                </div>
            </div>
        </div>
    </section>

    @include('contact-home')
   
   <section class="product text-center" style="background-image: url({{ asset('assets/image/img/head-bg.jpg') }});">
        <div class="container">
            <span class="Big_head">Explore Our All Products</span>
            <div class="row">
                @foreach($products as $data)
                <div class="col-lg-3 col-md-4 col-sm-6 mt-4">
                    <div class="pro_box">
                        <div class="img">
                            @if(isset($data['image']))
                    <img src="{{ url('images/' . $data['image']) }}" alt="{{ $data->product_title }}" title="{{ $data->product_title }}">
                    @endif
                        </div>
                        <span class="pro_head">{{ $data->product_title }}</span>
                        <div class="pera">
                            <p>{!! \Illuminate\Support\Str::limit(strip_tags(htmlspecialchars_decode($data->description)), 100) !!}</p>
                        </div>
                        <a href="{{ url('/', ['subdomain_slug' => $subdomainData->subdomain_slug, 'product_url' => $data->product_url]) }}">Read More <i class="fa-solid fa-arrow-right"></i></a>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>

    @include('include.footer-inner')


     @include('include.comman-end')

</body>

</html>