<!doctype html>

<html lang="en">

@include('include.comman-head')

<body>
    
    @include('include.header-inner')
    
    <div class="main_head" style="background-image: url(assets/image/img/head-bg.jpg);">
        <div class="container-fluid">
            <div class="small_slider">
                 @foreach($products as $data)
                <div class="small_item">
                    <div class="item_box">
                        <img src="{{ url('images/' . $data['image']) }}" alt="{{ $data->product_title }}" title="{{ $data->product_title }}">
                        <span>{{ $data->product_title }}</span>
                    </div>
                </div>
                @endforeach
            </div>

            <div class="slider-banner">
                @foreach($homebanner as $banner)
                <div class="header">
                    <div class="header_text" style="background-image: url(assets/image/img/banner-1.jpg);">
                        <div class="container">
                            <div class="row">
                                <div class="col-md-7">
                                    <div class="banner_text">
                                        <span class="main_small">{{ $banner->banner_title }}</span>
                                        <span class="main_head">{{ $banner->banner_second_title }}</span>
                                        <div class="head-pera">
                                            <p>{!! htmlspecialchars_decode($banner->banner_discription) !!}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-5">
                                    <div class="head_img">
                                            <img src="{{ url('images/' . $banner['banner_image']) }}" alt="{{ $banner->banner_title }}" title="{{ $banner->banner_title }}">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                 @endforeach
               
            </div>

            <div class="service_slider mt-3">
                @foreach($products as $data)
                <div class="pro_item">
                    <div class="box_card">
                        <div>
                            <span>{{ $data->product_title }}</span>
                            <p>
                            {!! \Illuminate\Support\Str::limit(strip_tags(htmlspecialchars_decode($data->description)), 100) !!}
                            </p>
                            <a href="#">Read More <i class="fa-solid fa-arrow-right"></i></a>
                        </div>
                        <div class="img">
                            <img src="{{ url('images/' . $data['image']) }}" alt="{{ $data->product_title }}" title="{{ $data->product_title }}">
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </div>

    <section class="delivery margin">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-6 mt-3">
                    <div class="del_box">
                        <div class="img_box">
                            <img src="assets/image/img/Expertise and Experience icon.png" alt="">
                        </div>
                        <div class="del_text">
                            <span>Expertise and Experience</span>
                            <p>With years of experience in the industry, we provide tailored solutions that meet your specific operational needs.</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6 mt-3">
                    <div class="del_box">
                        <div class="img_box">
                            <img src="assets/image/img/Customer-Centric Approach icon.png" alt="">
                        </div>
                        <div class="del_text">
                            <span>Customer-Centric Approach</span>
                            <p>Our team is committed to delivering exceptional customer service, providing support at every step from selection to installation and maintenance.</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6 mt-3">
                    <div class="del_box">
                        <div class="img_box">
                            <img src="assets/image/img/Quality and Reliability icon.png" alt="">
                        </div>
                        <div class="del_text">
                            <span>Quality and Reliability</span>
                            <p>We offer only the highest-quality products, ensuring long-term performance and value.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="ab_home margin">
         @foreach ($homepages as $item)
        <div class="container">
            <div class="ab_img">
                <img src="{{ url('images/' . $item->image) }}" alt="{{ $homepages->first()->short_description }}" title="{{ $homepages->first()->short_description }}">
            </div>
            <div class="ab_text">
                <span class="small_head">About Us</span>
                 @if ($homepages->isNotEmpty())
                <span class="Big_head">{{ $homepages->first()->short_description }}</span>
                 @else
                      @endif
                 @if ($homepages->isNotEmpty())
                        <p>{!! htmlspecialchars_decode($homepages->first()->description) !!}</p>
                             @else
                                @endif</p>
                          </div>
                    </div>
            @endforeach
        </section>

    <section class="product text-center" style="background-image: url({{ asset('assets/image/img/head-bg.jpg') }});">
        <div class="container">
            <span class="Big_head">Explore Our All Products</span>
            <div class="row">
                @foreach($products as $data)
                <div class="col-lg-3 col-md-4 col-sm-6 mt-4">
                    <div class="pro_box">
                        <div class="img">
                            @if(isset($data['image']))
                    <img src="{{ url('images/' . $data['image']) }}" alt="{{ $data->product_title }}" title="{{ $data->product_title }}">
                    @endif
                        </div>
                        <span class="pro_head">{{ $data->product_title }}</span>
                        <div class="pera">
                            <p>{!! \Illuminate\Support\Str::limit(strip_tags(htmlspecialchars_decode($data->description)), 100) !!}</p>
                        </div>
                        <a href="#">Read More <i class="fa-solid fa-arrow-right"></i></a>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>

    <section class="counter margin">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-md-7">
                    <div class="count_text">
                        <span class="Big_head">Energy Efficiency and Cost Savings</span>
                        <p>We are committed to helping you reduce energy consumption and operating costs. 
                        AC drives and variable frequency drives (VFDs) are designed to optimize motor performance
                        by adjusting the motor speed to actual load requirements, resulting in significant energy 
                        savings. With solar pump controllers, you can harness renewable energy, reducing reliance on the grid and lowering electricity bills.
 </p>
                    </div>
                </div>
                <div class="col-md-5">
                    <div class="row text-center border-start">
                        <div class="col-6 mt-3">
                            <div class="count">
                                <span class="num">12+</span>
                                <p>Years Of Experience</p>
                            </div>
                        </div>
                        <div class="col-6 mt-3">
                            <div class="count">
                                <span class="num">1000+</span>
                                <p>Total Customers</p>
                            </div>
                        </div>
                        <div class="col-6 mt-3">
                            <div class="count">
                                <span class="num">200+</span>
                                <p>Team Member</p>
                            </div>
                        </div>
                        <div class="col-6 mt-3">
                            <div class="count">
                                <span class="num">28+</span>
                                <p>Market We Serve</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="client margin">
        <div class="container">
            <div class="client_slider">
                <div class="client_item">
                    <img src="assets/image/img/brand-1.png" alt="">
                </div>
                <div class="client_item">
                    <img src="assets/image/img/brand-2.png" alt="">
                </div>
                <div class="client_item">
                    <img src="assets/image/img/brand-3.png" alt="">
                </div>
                <div class="client_item">
                    <img src="assets/image/img/brand-4.png" alt="">
                </div>
                <div class="client_item">
                    <img src="assets/image/img/brand-5.png" alt="">
                </div>
                <div class="client_item">
                    <img src="assets/image/img/brand-6.png" alt="">
                </div>
                <div class="client_item">
                    <img src="assets/image/img/brand-7.png" alt="">
                </div>
                <div class="client_item">
                    <img src="assets/image/img/brand-8.png" alt="">
                </div>
            </div>
        </div>
    </section>

    <section class="smart">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-md-6">
                    <div class="img">
                        <img src="assets/image/img/smart.png" alt="">
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="smart_text">
                        <span class="small_head">Solar Pump Controller</span>
                        <span class="Big_head">Efficient and Sustainable Pumping Solutions</span>
                        <p>Our solar pump controllers are the ideal solution for sustainable and energy-efficient pumping operations in 
                        agricultural and industrial sectors. Designed to harness the power of the sun, these controllers regulate the
                        speed and operation of water pumps, ensuring smooth operation even in remote locations where access to the power grid may be limited.</p>
                        <ul>
                            <li>High Durability</li>
                            <li>Eco-Friendly</li>
                            <li>Reliable Operation</li>
                            <li>Cost-Effective</li>
                            <li>Advanced Features</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="product_bottom text-center margin">
        <div class="container">
            <span class="small_head">We Offer</span>
            <span class="Big_head">Your Trusted Partner for Industrial Drives & Power Solutions</span>
            <div class="service_slider mt-3">
                @foreach($products as $data)
                <div class="pro_item">
                    <div class="box_card">
                        <div>
                            <span>{{ $data->product_title }}</span>
                            <p>
                            {!! \Illuminate\Support\Str::limit(strip_tags(htmlspecialchars_decode($data->description)), 100) !!}
                            </p>
                            <a href="#">Read More <i class="fa-solid fa-arrow-right"></i></a>
                        </div>
                        <div class="img">
                            <img src="{{ url('images/' . $data['image']) }}" alt="{{ $data->product_title }}" title="{{ $data->product_title }}">
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>

    @include('contact-home')
 
 
    <section class="testmonial margin text-center">
        <div class="container">
            <span class="small_head">Testimonial</span>
            <span class="Big_head">Our Valued Clients</span>
            <div class="test_slider">
                 @foreach ($testimonial_show as $testi)
                <div class="test_item">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="test_img">
                                <img class="circles" src="{{ asset('assets/image/img/circles-layer-1.png') }}" alt="">
                                <img class="pattern" src="assets/image/img/pattern-1.png" alt="">
                                <div class="img1">
                                    <img class="con_img" src="{{ url('images/' . $testi['image']) }}" alt="{{ $testi->client_name }}" title="{{ $testi->client_name }}">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <p>{!! htmlspecialchars_decode($testi->description) !!}</p>
                            <span class="name">{{ $testi->client_name }}</span>
                    
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>

   

    @include('include.footer-inner')


     @include('include.comman-end')

</body>

</html>