<!doctype html>

<html lang="en">

<head>
     @foreach($website as $web)
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css" />
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <link rel="canonical" href="{{ url()->current() }}" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/style.css') }}">
     <link href="{{ url('images/' . $web['website_icon']) }}" rel="icon">
    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
    <title>{{ str_replace('subdomain', $locationdata->loaction_name, $homepages->first()->pg_meta_title) }}</title>
    <meta name="keywords" content="{{ str_replace('subdomain', $locationdata->loaction_name, $homepages->first()->pg_meta_keyword) }}">
    <meta name="description" content="{{ str_replace('subdomain', $locationdata->loaction_name, $homepages->first()->pg_meta_desc) }}">
    <meta name="author" content="{{ $web->website_tagline }}">
    @endforeach
</head>

<body>
    
    @include('include.header-inner')
    
    <div class="main_head" style="background-image: url({{ asset('assets/image/img/head-bg.jpg') }});">
        <div class="container-fluid">
            <div class="small_slider">
                 @foreach($products as $data)
                <div class="small_item">
                    <div class="item_box">
                        <img src="{{ url('images/' . $data['image']) }}" alt="{{ $data->product_title }}" title="{{ $data->product_title }}">
                        <span>{{ $data->product_title }}</span>
                    </div>
                </div>
                @endforeach
            </div>

        </div>
    </div>

    <div class="slider-banner">
                @foreach($homebanner as $banner)
                <div class="header">
                    <div class="header_text" style="background-image: url({{ asset('assets/image/img/banner-1.jpg') }});">
                        <div class="container">
                            <div class="row">
                                <div class="col-md-7">
                                    <div class="banner_text">
                                        <span class="main_small">{{ $banner->banner_title }}</span>
                                        <span class="main_head">{{ $banner->banner_second_title }}</span>
                                        <div class="head-pera">
                                            <p>{!! htmlspecialchars_decode($banner->banner_discription) !!}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-5">
                                    <div class="head_img">
                                            <img src="{{ url('images/' . $banner['banner_image']) }}" alt="{{ $banner->banner_title }}" title="{{ $banner->banner_title }}">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                 @endforeach
            </div>
    
    <section class="ab_home2 margin" >
        <div class="container">
            <div class="row">
                @foreach ($homepages as $item)
                <div class="col-md-5">
                    <div class="main_img">
                        <div class="ab_all_img_in">
                             @if ($item->image)
                        <img src="{{ url('images/' . $item->image) }}" alt="">
                         @endif
                        </div>
                        <!-- Share btn start -->
                        <div class="share-btn-box">
                            <span class="share-btn">
                                <i class="fa fa-share" aria-hidden="true"></i> Share On
                            </span>
                            <div class="social-share">
                                <ul>
                                    <li>
                                        <button type="button" class=" facebook" data-sharer="facebook"
                                            data-url="{{ url()->current() }}"><i
                                                class="fa-brands fa-facebook"></i> </button>
                                    </li>
                                    <li>
                                        <button type="button" class=" twitter" data-sharer="twitter"
                                            data-url="{{ url()->current() }}"><i
                                                class="fa-brands fa-twitter"></i>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button" class=" whatsapp" data-sharer="whatsapp"
                                            data-title="Checkout this:"
                                            data-url="{{ url()->current() }}"><i
                                                class="fa-brands fa-whatsapp"></i></button>
                                    </li>
                                    <li>
                                        <button type="button" class=" linkedin" data-sharer="linkedin"
                                            data-url="{{ url()->current() }}"><i
                                                class="fa-brands fa-linkedin"></i>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button" class=" telegram" data-sharer="telegram"
                                            data-title="Checkout this:"
                                            data-url="{{ url()->current() }}"><i
                                                class="fa-brands fa-telegram"></i>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button" class=" email" data-sharer="email"
                                            data-title="Checkout this:"
                                            data-url="{{ url()->current() }}"><i
                                                class="fa-regular fa-envelope"></i>
                                        </button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <!-- Share btn end -->
                    </div>
                </div>
                <div class="col-md-7">
                    <div class="ab_text">
                        <span class="small_head">Product Details</span>
                        @if ($homepages->isNotEmpty())
                        <span class="Big_head"> {{ str_replace('subdomain', $locationdata->loaction_name, $homepages->first()->short_description) }}</span>
                        @else
                          @endif
                        <p>@if ($homepages->isNotEmpty())
                        {!! htmlspecialchars_decode(str_replace('subdomain', $locationdata->loaction_name, $homepages->first()->description)) !!}
                    @else
                    @endif</p>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>

    @include('contact-home')
   
   <section class="product text-center" style="background-image: url({{ asset('assets/image/img/head-bg.jpg') }});">
        <div class="container">
            <span class="Big_head">Explore Our All Products</span>
            <div class="row">
                @foreach($products as $data)
                <div class="col-lg-3 col-md-4 col-sm-6 mt-4">
                    <div class="pro_box">
                        <div class="img">
                            @if(isset($data['image']))
                    <img src="{{ url('images/' . $data['image']) }}" alt="{{ $data->product_title }}" title="{{ $data->product_title }}">
                    @endif
                        </div>
                        <span class="pro_head">{{ $data->product_title }}</span>
                        <div class="pera">
                            <p>{!! \Illuminate\Support\Str::limit(strip_tags(htmlspecialchars_decode($data->description)), 100) !!}</p>
                        </div>
                        <a href="#">Read More <i class="fa-solid fa-arrow-right"></i></a>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>

    @include('include.footer-inner')


     @include('include.comman-end')

</body>

</html>