<!doctype html>
<?php
$currentUrl = url()->current();
$parts = explode('/', $currentUrl);
$lastPart = end($parts);

$modifiedLastPart = ucwords(str_replace('-', ' ', $lastPart));

$modifiedLastPart;
?>
<html lang="en">

<head>
     @foreach($website as $web)
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css" />
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <link rel="canonical" href="{{ url()->current() }}" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/style.css') }}">
     <link href="{{ url('images/' . $web['website_icon']) }}" rel="icon">
    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
    <title>{{ $modifiedLastPart }}</title>
    <meta name="description" content="{{ $modifiedLastPart }}">
    <meta name="keywords" content="{{ $modifiedLastPart }}">
    <meta name="author" content="{{ $web->website_tagline }}">
    @endforeach
</head>

<body>
    
    @include('include.header-inner')
    
    <div class="main_head" style="background-image: url(assets/image/img/head-bg.jpg);">
        <div class="container-fluid">
            <div class="small_slider">
                 @foreach($products as $data)
                <div class="small_item">
                    <div class="item_box">
                        <img src="{{ url('images/' . $data['image']) }}" alt="{{ $data->product_title }}" title="{{ $data->product_title }}">
                        <span>{{ $data->product_title }}</span>
                    </div>
                </div>
                @endforeach
            </div>

        </div>
    </div>

    <section class="inner_header">
        <img src="{{ asset('assets/image/img/banner-1.jpg') }}" alt="">
        <div class="inner_text">
            <span class="inner_hrad">{{ $modifiedLastPart }}</span>
            <div class="brade_crom">
                <a href="#">Home /</a>
                <span>{{ $modifiedLastPart }}</span>
            </div>
        </div>
    </section>
    
    <section class="marcket-plase margin text-center">
        <div class="container">
            <div class="main_head">
                <span class="Big_head"><img src="{{ asset('assets/image/img/scratched-shape.png') }}" alt="">{{ $modifiedLastPart }}</span>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="marcket-line row">
                         @foreach ($products as $data)
                        <div class="col-lg-3 col-md-6">
                            <a class="all_btn all_btn2" href="{{ url('/', ['subdomain_slug' => $subdomainData->subdomain_slug, 'product_link' => $data->product_url]) }}">
                            {{ $data->product_title }}
                            </a>
                        </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </section>

    @include('contact-home')
 

    @include('include.footer-inner')


     @include('include.comman-end')

</body>

</html>