<!doctype html>
<html lang="en">

<head>
 @foreach($website as $web)
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css" />
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/style.css') }}">
    <link href="{{ url('images/' . $web['website_icon']) }}" rel="icon">
    <link rel="canonical" href="{{ url()->current() }}" />
    <title>{{ $productcatData->pg_meta_title }}</title>
    <meta name="description" content="{{ $productcatData->pg_meta_desc }}">
    <meta name="keywords" content="{{ $productcatData->pg_meta_keyword }}">
    <meta name="author" content="{{ $web->website_tagline }}">
@endforeach
</head>

<body>

     @include('include.header-inner')

    <section class="inner_header">
        <img src="{{ asset('assets/image/img/home-banner.jpg') }}" alt="{{$productcatData->product_title}}" title="{{$productcatData->product_title}}">
        <div class="inner_text">
            <span class="inner_hrad">{{$productcatData->product_title}}</span>
            <div class="brade_crom">
                <a href="{{ url('/') }}">Home /</a>
                <span>{{$productcatData->product_title}}</span>
            </div>
        </div>
    </section>

    
    
    
    <section class="in_product">
        <div class="container">
            <div class="row">
                <div class="col-md-5">
                    <div class="in_product_slider">
                        <div class="in_item">
                            <img src="https://instavyapar.net/SHIVAM-ENTERPRISE/public/images/1471547589.jpg">
                        </div>
                         <div class="in_item">
                            <img src="https://instavyapar.net/SHIVAM-ENTERPRISE/public/images/1471547589.jpg">
                        </div>
                         <div class="in_item">
                            <img src="https://instavyapar.net/SHIVAM-ENTERPRISE/public/images/1471547589.jpg">
                        </div>
                    </div>
                </div>
                <div class="col-md-7">
                    <div class="in_pro_text">
                        <span class="small_head" data-aos="zoom-in-down"><img src="https://instavyapar.net/SHIVAM-ENTERPRISE/public/assets/image/img/tree.svg" alt="Krushi Tech" title="Krushi Tech">Home</span>
                        <span class="big_head" data-aos="zoom-in-down">Krushi Tech</span>
                        <p>Krushi Tech is your one-stop solution for all your needs of agricultural-related equipment you're in search of. The equipment that we make is manufactured using high-grade materials that can easily go through all the harsh scenarios that pan out in wild usage. We know the importance of these machines being rough and heavy in use and that too with all kinds of soil and weather conditions. The strong build of our machines means it lasts longer, reducing the need for frequent replacements, which saves both time and money for farmers. Also, the design of our machines incorporates corrosion-resistant coatings that protect the equipment from rust, extending the lifespan even further and ensuring that it remains durable across different farming environments.</p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
    <div class="advantages">
        <div class="container">
            <ul>
                <li><a href="#advantages">Advantages</a></li>
                <li><a href="#features">Features</a></li>
                <li><a href="#technical">Technical Specification</a></li>
            </ul>
        </div>
    </div>
    
    <div class="Suitable">
        <div class="container">
        <span class="tec_head">Advantages</span>
        <ul>
            <li>Suitable for All type of Soil</li>
            <li>Suitable for Deep Tillage specially for Sugarcane and Banana field</li>
            <li>boron steel blades</li>
            <li>Helical rotor balde arrangement in rotor</li>
            <li>Better soil pulverization</li>
            <li>Available in Single and Multi speed option</li>
        </ul>
        </div>
    </div>
    
     <div class="Suitable">
        <div class="container">
        <span class="tec_head">Advantages</span>
        <ul>
            <li>Suitable for All type of Soil</li>
            <li>Suitable for Deep Tillage specially for Sugarcane and Banana field</li>
            <li>boron steel blades</li>
            <li>Helical rotor balde arrangement in rotor</li>
            <li>Better soil pulverization</li>
            <li>Available in Single and Multi speed option</li>
        </ul>
        </div>
    </div>
    
    
    <div class="technical">
        <div class="container">
            <span class="tec_head">Technical Specification</span>
            <img src="https://shaktimanagro.com/wp-content/uploads/2024/08/Shaktiman_Technical_Specification_Champion_Rotary_Tiller-1536x588.jpg">
        </div>
    </div>
    
    
    

    @include('contact-home')
    
     <section class="products margin">
    <div class="container">
        <span class="small_head" data-aos="zoom-in-down"><img src="{{ asset('assets/image/img/tree.svg') }}" alt="Quality Products" title="Quality Products"> Our Products</span>
        <span class="big_head" data-aos="zoom-in-down"> Get The Best Quality Products</span>
        <div class="row mt-5">
            <div class="col-md-4">
                <div class="tabs__navigation">
                    @forelse($category as $index => $cat)
                    <div class="tabs__btn {{ $index === 0 ? 'active' : '' }}" 
                         data-category="{{ $cat->product_cat_id }}" 
                         onclick="showTab('{{ $cat->product_cat_id }}')">
                        <i class="fa-solid fa-caret-right"></i> {{ $cat->product_category_title }}
                    </div>
                    @empty
                    <p>No categories found.</p>
                    @endforelse
                </div>
            </div>
            <div class="col-md-8">
                <div class="tabs__content">
                    @forelse($category as $index => $cat)
                    @if($category && $cat->product_cat_id)
                    <div class="tabs__body {{ $index === 0 ? 'active' : '' }}" id="tab_{{ $cat->product_cat_id }}">
                        <div class="row">
                            @foreach($products->where('product_cat', $cat->product_cat_id) as $product)
                            <div class="col-md-4 col-sm-6 mb-2">
                                <div class="pro_box">
                                    <a href="{{ url('/', ['product_url' => $product->product_url]) }}">
                                        <img src="{{ url('images/' . $product['image']) }}" alt="{{ $product->product_title }}" title="{{ $product->product_title }}">
                                        <span>{{ $product->product_title }}</span>
                                    </a>
                                </div>
                            </div>
                            @endforeach
                        </div>
                    </div>
                    @endif
                    @empty
                    <p>No categories found.</p>
                    @endforelse
                </div>
            </div>
        </div>
    </div>
</section>

    @include('include.footer-inner')

    @include('include.comman-end')


</body>

</html>