<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\CustomAuthController;
use App\Http\Provider\AppServiceProvider;
use App\Http\Controllers\tblController;
use App\Http\Controllers\BannerController;
use App\Http\Controllers\TblCategoryController;
use App\Http\Controllers\TblProductController;
use App\Http\Controllers\TblGalleryController;
use App\Http\Controllers\WebsitemanageController;
use App\Http\Controllers\LocationController;
use App\Http\Controllers\DropdownController;
use App\Http\Controllers\SubdomainController;
use App\Http\Controllers\ContactController;
use App\Http\Controllers\TestimonialController;
use App\Http\Controllers\ShowdataController;
use App\Http\Controllers\locationDataController;
use App\Http\Controllers\BlogController;
use App\Http\Controllers\LocationProductController;
use App\Http\Controllers\SubCategoryController;
use App\Http\Controllers\SearchController;
use App\Http\Controllers\ProductdataController;
use App\Http\Controllers\ProductCatController;
use App\Http\Controllers\SitemapXmlController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Route::get('/admin/', function () {
//     return view('welcome');
// });

// Route::get('dashboard',function(){
// return "working";
// });
    
Route::middleware('auth')->group(function () {
    Route::get('admin/dashboard', [AdminController::class, 'dashboard'])->name('admin.dashboard');
    // Other admin routes...
});

//-------------------------------login------------------------------->
Route::get('/admin', [CustomAuthController::class, 'index'])->name('login');
Route::post('/admin/custom-login', [CustomAuthController::class, 'customLogin'])->name('admin.login.custom'); 
//--------------------------------registration------------------------>
Route::get('/admin/registration', [CustomAuthController::class, 'registration'])->name('admin.register-user');
Route::post('admin/custom-registration', [CustomAuthController::class, 'customRegistration'])->name('admin.register.custom'); 
Route::get('admin/signout', [CustomAuthController::class, 'signOut'])->name('admin.signout');
Route::get('/admin/change-password', [CustomAuthController::class, 'showChangePasswordForm'])->name('admin.show.change.password.form');
Route::post('/admin/update-password', [CustomAuthController::class, 'updatePassword'])->name('admin.update.password');

//-----------------------pages section-------------------------------->
Route::get('/admin/tbl_pages', [tblController::class, 'tbl_page'])->name('admin.tbl_pages');
Route::post('/admin/tbl_pages', [tblController::class, 'PageForm'])->middleware('auth')->name('admin.tbl_page');
Route::get('admin/manage_pages',[tblController::class, 'index'])->name('admin.manage_pages');
Route::get('/admin/tbl_pages_edit/{pg_id}/edit', [tblController::class,'edit'])->name('admin.tbl_pages_edit.edit');
Route::put('/admin/tbl_page/{id}', [tblController::class, 'update'])->name('admin.tbl_page.update');
Route::get('admin/file-upload', [tblController::class, 'createfile']);
Route::post('admin/store', [tblController::class, 'store'])->name('admin.store');
Route::delete('/admin/manage_pages/{tbl_page}', [tblController::class, 'destroy'])->name('admin.manage_pages.destroy');
Route::post('admin/pg-status/{pg_id}/updateStatus', [tblController::class, 'updateStatus'])->name('admin.pg-status.update');

// <!-------------------banner-------------section--------------->
Route::get('/admin/tbl_banner', [BannerController::class, 'tbl_banner'])->name('admin.tbl_banner');
Route::post('/admin/tbl_banner', [BannerController::class, 'BannerForm'])->name('admin.tbl_banners');
Route::get('admin/manage_banners',[BannerController::class, 'index'])->name('admin.manage_banners');
Route::get('/admin/tbl_banners_edit/{banner_id}/edit', [BannerController::class,'edit'])->name('admin.tbl_banners_edit.edit');
Route::delete('/admin/manage_banners/{tbl_banner}', [BannerController::class, 'destroy'])->name('admin.manage_banners.destroy');
Route::put('/admin/tbl_banner/{id}', [BannerController::class, 'update'])->name('admin.tbl_banner.update');
Route::post('admin/status/{banner_id}/updateStatus', [BannerController::class, 'updateStatus'])->name('admin.status.update');

//---------------------------------category----------------------------->
Route::get('/admin/tbl_category', [TblCategoryController::class, 'tbl_category'])->name('admin.tbl_category');
Route::get('admin/manage_category',[TblCategoryController::class, 'index'])->name('admin.manage_category');
Route::post('/admin/tbl_category', [TblCategoryController::class, 'categorytbl'])->name('admin.tbl_category.store');
Route::get('/admin/tbl_category_edit/{product_cat_id}', [TblCategoryController::class,'edit'])->name('admin.tbl_category_edit');
Route::delete('/admin/manage_category/{tbl_category}', [TblCategoryController::class, 'destroy'])->name('admin.manage_category.destroy');
Route::put('/admin/tbl_category/{product_cat_id}', [TblCategoryController::class, 'update'])->name('admin.tbl_category.update');
Route::get('/admin/manage-category/{id}', [TblCategoryController::class,'index'])->name('admin.manage-category');
Route::post('admin/cat-status/{product_cat_id}/updateStatus', [TblCategoryController::class, 'updateStatus'])->name('admin.cat-status.update');


//------------------------------------sub Category--------------------------------------------->

Route::get('/admin/sub_category', [SubCategoryController::class, 'subcategory'])->name('admin.sub_category');
Route::get('admin/manage_subcategory',[SubCategoryController::class, 'index'])->name('admin.manage_subcategory');
Route::post('/admin/sub_category', [SubCategoryController::class, 'PageForm'])->name('admin.sub_category.store');
Route::get('/admin/sub_category/{sub_cat_id}', [SubCategoryController::class,'edit'])->name('admin.sub_category_edit');
Route::delete('/admin/manage_subcategory/{tbl_category}', [SubCategoryController::class, 'destroy'])->name('admin.manage_subcategory.destroy');
Route::put('/admin/sub_category/{sub_cat_id}', [SubCategoryController::class, 'update'])->name('admin.sub_category.update');
Route::post('admin/subcat-status/{sub_cat_id}/updateStatus', [SubCategoryController::class, 'updateStatus'])->name('admin.subcat-status.update');

//------------------------------------Product------------------------------------------->
Route::get('/admin/tbl_product', [TblProductController::class, 'tbl_product'])->name('admin.tbl_product');
Route::get('admin/manage_product',[TblProductController::class, 'index'])->name('admin.manage_product');
Route::get('/admin/tbl_product_edit/{product_id}/edit', [TblProductController::class,'edit'])->name('admin.tbl_product_edit.edit');
Route::delete('/admin/manage_product/{tbl_product}', [TblProductController::class, 'destroy'])->name('admin.manage_product.destroy');
Route::post('/admin/tbl_product', [TblProductController::class, 'PageForm'])->middleware('auth')->name('admin.tbl_product.store');
Route::put('/admin/tbl_product/{product_id}', [TblProductController::class, 'update'])->name('admin.tbl_product.update');
Route::post('admin/prdct-status/{product_id}/updateStatus', [TblProductController::class, 'updateStatus'])->name('admin.prdct-status.update');

//-------------------------------------------productsdata ---------------------------------------->
Route::get('/admin/product_data', [ProductdataController::class, 'product_data'])->name('admin.product_data');
Route::get('admin/products-manage',[ProductdataController::class, 'index'])->name('admin.products-manage');
Route::get('/admin/products-data-edit/{product_id}/edit', [ProductdataController::class,'edit'])->name('admin.products-data-edit.edit');
Route::delete('/admin/products-manage/{product_data}', [ProductdataController::class, 'destroy'])->name('admin.products-manage.destroy');
Route::post('/admin/product_data', [ProductdataController::class, 'PageForm'])->middleware('auth')->name('admin.product_data.store'); 
Route::put('/admin/product_data/{product_id}', [ProductdataController::class, 'update'])->name('admin.product_data.update');
Route::post('admin/prod-status/{product_id}/updateStatus', [ProductdataController::class, 'updateStatus'])->name('admin.prod-status.update');

//-------------------------------------------GALLERY---------------------------------------->
Route::get('/admin/tbl_gallery', [TblGalleryController::class, 'tbl_gallery'])->name('admin.tbl_gallery');
Route::get('admin/manage_gallery',[TblGalleryController::class, 'index'])->name('admin.manage_gallery');
Route::delete('/admin/manage_gallery/{tbl_gallery}', [TblGalleryController::class, 'destroy'])->name('admin.manage_gallery.destroy');
Route::post('/admin/tbl_gallery', [TblGalleryController::class, 'PageForm'])->middleware('auth')->name('admin.tbl_gallery.store');
Route::get('/admin/tbl_gallery_edit/{gallery_id}/edit', [TblGalleryController::class,'edit'])->name('admin.tbl_gallery_edit.edit');
Route::put('/admin/tbl_gallery/{gallery_id}', [TblGalleryController::class, 'update'])->name('admin.tbl_gallery.update');
Route::post('admin/gal-status/{gallery_id}/updateStatus', [TblGalleryController::class, 'updateStatus'])->name('admin.gal-status.update');

//------------------------------------------WEBSITE MANAGE---------------------------------------------------------------->
Route::get('admin/website/{website_id}/edit', [WebsitemanageController::class, 'edit'])->name('admin.website.edit');
Route::get('admin/manage_website',[WebsitemanageController::class, 'index'])->name('admin.manage_website');
Route::put('/admin/website/{website_id}', [WebsitemanageController::class, 'update'])->name('admin.website');
Route::post('admin/wbsite-status/{website_id}/updateStatus', [WebsitemanageController::class, 'updateStatus'])->name('admin.wbsite-status.update');

//-----------------------------------Location----------------------------------------------------------------->
Route::get('/admin/location', [LocationController::class, 'location'])->name('admin.location');
Route::post('/admin/location', [LocationController::class, 'LocationForm'])->middleware('auth')->name('admin.location.store');
Route::get('admin/manage_location',[LocationController::class, 'index'])->name('admin.manage_location');
Route::get('/admin/location_edit/{loaction_id}/edit', [LocationController::class,'edit'])->name('admin.location_edit.edit');
Route::delete('/admin/manage_location/{location}', [LocationController::class, 'destroy'])->name('admin.manage_location.destroy');
Route::put('/admin/location/{loaction_id}', [LocationController::class, 'update'])->name('admin.location.update');
Route::post('admin/locat-status/{loaction_id}/updateStatus', [LocationController::class, 'updateStatus'])->name('admin.locat-status.update');

Route::get('admin/dependent-dropdown', [DropdownController::class, 'index']);
Route::post('admin/api/fetch-states', [DropdownController::class, 'fetchState']);
Route::post('admin/api/fetch-cities', [DropdownController::class, 'fetchCity']);

//----------------------------------------------Subdomain-------------------------------------------------------->
Route::get('/admin/subdomain', [SubdomainController::class, 'subdomain'])->name('admin.subdomain');
Route::get('admin/manage_subdomain',[SubdomainController::class, 'index'])->name('admin.manage_subdomain');
Route::post('/admin/subdomain', [SubdomainController::class, 'SubdomainForm'])->middleware('auth')->name('admin.subdomain.store');
Route::get('/admin/subdomain_edit/{subdomain_id}/edit', [SubdomainController::class,'edit'])->name('admin.subdomain_edit.edit');
Route::delete('/admin/manage_subdomain/{subdomain}', [SubdomainController::class, 'destroy'])->name('admin.manage_subdomain.destroy');
Route::post('admin/subd-status/{subdomain_id}/updateStatus', [SubdomainController::class, 'updateStatus'])->name('admin.subd-status.update');
Route::put('/admin/subdomain/{subdomain_id}', [SubdomainController::class, 'update'])->name('admin.subdomain.update');
Route::get('/admin/dashboard', [SubdomainController::class, 'count'])->name('admin.dashboard');
//----------------------------------------------Leads------------------------------------------------------------->
Route::get('admin/contact',[ContactController::class, 'index'])->name('admin.contact');
Route::get('/admin/lead-view/{inquiry_id}', [ContactController::class,'edit'])->name('admin.lead-view');

//----------------------------------------------Testimonials------------------------------------------------------->
Route::get('admin/manage_testimonial',[TestimonialController::class, 'index'])->name('admin.manage_testimonial');
Route::get('/admin/testimonial_edit/{testimonial_id}/edit', [TestimonialController::class,'edit'])->name('admin.testimonial_edit.edit');
Route::delete('/admin/manage_testimonial/{testimonial}', [TestimonialController::class, 'destroy'])->name('admin.manage_testimonial.destroy');
Route::get('/admin/testimonial', [TestimonialController::class, 'testimonial'])->name('admin.testimonial');
Route::post('/admin/testimonial', [TestimonialController::class, 'TestimonialForm'])->middleware('auth')->name('admin.testimonial.store');
Route::post('admin/testi-status/{testimonial_id}/updateStatus', [TestimonialController::class, 'updateStatus'])->name('admin.testi-status.update');
Route::put('/admin/testimonial/{testimonial_id}', [TestimonialController::class, 'update'])->name('admin.testimonial.update');

//-------------------------------------------BLOG--------------------------------------------------------->
Route::get('/admin/blog', [BlogController::class, 'blog'])->name('admin.blog');
Route::post('/admin/blog', [BlogController::class, 'BlogForm'])->middleware('auth')->name('admin.tbl_blog');
Route::get('admin/manage_blog',[BlogController::class, 'index'])->name('admin.manage_blog');
Route::delete('/admin/manage_blog/{blog}', [BlogController::class, 'destroy'])->name('admin.manage_blog.destroy');
Route::get('/admin/tbl_blog_edit/{blog_id}/edit', [BlogController::class,'edit'])->name('admin.tbl_blog_edit.edit');
Route::post('admin/blog-status/{blog_id}/updateStatus', [BlogController::class, 'updateStatus'])->name('admin.blog-status.update');
Route::put('/admin/blog/{blog_id}', [BlogController::class, 'update'])->name('admin.tbl_blog.update');

//------------------------------------------------Endblog------------------------------------------------------->

//----------------------------------------------Location Product----------------------------------------------->
Route::get('/admin/location-products', [LocationProductController::class, 'ProductLocation'])->name('admin.location-products');
Route::post('/admin/location-products', [LocationProductController::class, 'LocationProductForm'])->middleware('auth')->name('admin.locationproduct');
Route::get('admin/manage-product-location',[LocationProductController::class, 'index'])->name('admin.manage_product_location');
Route::get('/admin/location_product_edit/{product_id}/edit', [LocationProductController::class,'edit'])->name('admin.location_product_edit.edit');
Route::delete('/admin/manage-product-location/{product_id}', [LocationProductController::class, 'destroy'])->name('admin.manage_product_location.destroy');
Route::put('/admin/location-product/{product_id}', [LocationProductController::class, 'update'])->name('admin.location-product.update');
Route::post('admin/locat-prod-status/{product_id}/updateStatus', [LocationProductController::class, 'updateStatus'])->name('admin.locat-prod-status.update');


//-----------------------------------------------fronted--homepage-------------------------------------------------

Route::match(['get', 'head'], '/', [ShowdataController::class, 'showdata'])->name('home');
// Route::get('product/{product_url}', [ShowdataController::class, 'product_detail'])->name('product.detail');
Route::get('contact', [ShowdataController::class, 'contactdata'])->name('contact');
Route::post('contact', [ShowdataController::class, 'ContactForm'])->name('contact-us');
Route::get('/blog', [ShowdataController::class, 'blogpage'])->name('blogpage');
Route::get('blog/{blog_slug}', [ShowdataController::class, 'BlogDetail'])->name('blogdata');
Route::get('/vedio', [ShowdataController::class, 'vediodata'])->name('vediodata');
Route::get('market-place', [ShowdataController::class, 'marketplace'])->name('marketplace');
Route::get('company-profile', [ShowdataController::class, 'companyprofile'])->name('companyprofile');
Route::get('sitemap', [ShowdataController::class, 'sitemapdata'])->name('sitemap');
Route::get('our-products', [ShowdataController::class, 'ourproductdata'])->name('our-products');
Route::get('/search', [SearchController::class, 'search'])->name('search');

// Route::get('{pg_url}/{product_url}', [ShowdataController::class, 'LocationProduct'])->name('Locationproduct');

// Route::get('/{pg_url}', [ShowdataController::class, 'locationdata'])->name('locationdata');

$pg_urls = DB::table('tbl_loaction')->get('pg_url');
if (!empty($pg_urls)) {
    foreach ($pg_urls as $pg_url) {
        Route::get('/'.$pg_url->pg_url, [ShowdataController::class, 'locationdata']);
    }
}


$product_urls = DB::table('tbl_product')->get('product_url');
if (!empty($product_urls)) {
    foreach ($product_urls as $product_url) {
        Route::get('/'.$product_url->product_url, [ShowdataController::class, 'product_detail'])->name($product_url->product_url);
    }
}



$product_url = DB::table('tbl_product')->get('product_url');
if (!empty($pg_urls) AND !empty($product_url)) {
    foreach ($pg_urls as $pg_url) {
        foreach ($product_url as $product_urls) {
            Route::get('/'.$pg_url->pg_url.'/'.$product_urls->product_url, [ShowdataController::class, 'LocationProduct']);
        }
    }
}



$subdomain_slug = DB::table('tbl_subdomain')->get('subdomain_slug');
if (!empty($subdomain_slug)) {
    foreach ($subdomain_slug as $subdomain_url) {
        Route::get('/'.$subdomain_url->subdomain_slug, [ShowdataController::class, 'subdomainDetail'])->name($subdomain_url->subdomain_slug);
    }
}

$product_link = DB::table('tbl_product')->get('product_url');    
if (!empty($subdomain_slug) AND !empty($product_link)) {
    foreach ($subdomain_slug as $subdomain_slugs) {
        foreach ($product_link as $product_links) {
            Route::get('/'.$subdomain_slugs->subdomain_slug.'/'.$product_links->product_url, [ShowdataController::class, 'marketplaceProductdata']);
        }
    }
}

$product_cat_urls = DB::table('products_data')->get('product_data_url');
if (!empty($product_cat_urls)) {
    foreach ($product_cat_urls as $product_data_url) {
        Route::get('/'.$product_data_url->product_data_url, [ProductCatController::class, 'product_datacat'])->name($product_data_url->product_data_url);
    }
}

$sub_cat_urls = DB::table('tbl_sub_category')->get('sub_cat_url');
if (!empty($sub_cat_urls)) {
    foreach ($sub_cat_urls as $sub_cat_url) {
        Route::get('/'.$sub_cat_url->sub_cat_url, [ShowdataController::class, 'SubCatdata'])->name($sub_cat_url->sub_cat_url);
    }
}

$category_urls = DB::table('tbl_category')->get('pg_url');
if (!empty($category_urls)) {
    foreach ($category_urls as $pg_url) {
        Route::get('/'.$pg_url->pg_url, [ShowdataController::class, 'Categorydata'])->name($pg_url->pg_url);
    }
}

Route::get('/sitemap.xml', [SitemapXmlController::class, 'index']);

