<!DOCTYPE html>
<html lang="en">

<head>
    <?php
    $originalmetatitle = $subdomainData->meta_title;
    $originaldiscription = $subdomainData->meta_description;
    $productTitle = $productData->product_title;
    $keyword = $subdomainData->meta_keywords;
    $location = $locationdata->loaction_name;
    
    $replacedmetatitle = str_replace(['keyword', 'subdomain'], [$productTitle, $location], $originalmetatitle);
    $replaceddiscription = str_replace(['keyword', 'subdomain'], [$productTitle, $location], $originaldiscription);
    $replacedkeyword = str_replace(['keyword', 'subdomain'], [$productTitle, $location], $keyword);

    ?>
    <?php $__currentLoopData = $website; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $web): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo e($replacedmetatitle); ?></title>
    <meta name="description" content="<?php echo e($replaceddiscription); ?>">
    <meta name="keywords" content="<?php echo e($replacedkeyword); ?>">
    <meta name="author" content="<?php echo e($web->website_tagline); ?>">
    <!--font awesome cdn-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css" />
    <!--bootstrap-css-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" />
    <!--swiper css-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@10/swiper-bundle.min.css" />
    <!--===animate-css==-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />
    <!--data-aos-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/aos/2.3.4/aos.css" />
    <!--google-font-cdn-->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Tangerine">
    <!----slick cdn-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick-theme.min.css" />
    <!----slick-mincss-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick-theme.min.css" />
    <!----css-->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/style.css')); ?>" />
    <link href="<?php echo e(url('images/' . $web['website_logo'])); ?>" rel="icon">
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</head>

<body>
    <!--==top-header===-->
    <?php echo $__env->make('include.header-inner', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!--=======breadcrump=========-->
    <section class="breadcrump-sec" style="background: url( <?php echo e(asset('assets/image/img/bg/b_cump.jpg')); ?> );"
    >
        
    </section>
    <!--======about-us=======-->
    <section>
        <div class="container">
            <div class="col-md-12 d-flex justify-content-center">
                <div class="b-links breadcrumb-box">
                     <?php
    $originalShortDescription = $subdomainData->short_discription;
    $originalDescription = $subdomainData->description;
    $extracontent = $subdomainData->footer_content;
    $productTitle = $productData->product_title;
    $Description = $subdomainData->description;
    $location = $locationdata->loaction_name;
    
    $replacedDescription = str_replace(['keyword', 'subdomain'], [$productTitle, $location], $originalShortDescription);
    $replaceddescription = str_replace(['keyword', 'subdomain'], [$productTitle, $location], $originalDescription);
    $extradescription = str_replace(['keyword', 'subdomain'], [$productTitle, $location], $extracontent);
    ?>
                    <span class="fa-solid"><i class="fa-solid fa-house"></i></span>
                    <a href="<?php echo e(url('/')); ?>" class="b-home ">Home</a>
                    <span class="fa-solid">/</span>
                    <span class="b-item active"><?php echo e($replacedDescription); ?></span>
                </div>
            </div>
         
            <div class="row">
                <div class="col-md-6">
                    <p class="heading-sec"><?php echo e($replacedDescription); ?></p>
                    <p class="about-content"><?php echo htmlspecialchars_decode($replaceddescription); ?></p>
                    <div class="a-more"><a href="" class="main-btn">read more</a></div>
                </div>
                <div class="col-md-6">
                    <img src="<?php echo e(url('images/' . $productData['image'])); ?>" alt="" class="img-fluid" />
                </div>
            </div>
        </div>
    </section>
    <!--======hot-products=======-->
 <section class="h-products">
        <div class="container">
            <div class="row  justify-content-center">
                <div class="col-md-7 col-sm-12">
                    <div class=" product-sec text-center ">
                        <p class="heading-sec">Hot <span>Products</span></p>
                        <p class="content-sec">At VM Food Processing & Packaging Machines, we're not just providing machines; we're shaping the future of food processing. Join us on this journey towards excellence!</p>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="swiper mySwiper  hp-slider">
                        <div class="swiper-wrapper">
                            <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="swiper-slide h-product-slider">
                                <div class="hp-box">
                                    <a href="<?php echo e(url('/', ['pg_url' => $locationdata->pg_url, 'product_url' => $data->product_url])); ?>" class="hp-img">
                                        <?php if(isset($data['image'])): ?>
                                        <img src="<?php echo e(url('images/' . $data['image'])); ?>" alt="<?php echo e($data->product_title); ?>" title="<?php echo e($data->product_title); ?>" class="img-fluid">
                                        <?php endif; ?>
                                    </a>
                                    <a href="<?php echo e(url('/', ['pg_url' => $locationdata->pg_url, 'product_url' => $data->product_url])); ?>" class="hp-name"><?php echo e($data->product_title); ?></a>
                                    <p><?php echo e($data->product_title); ?></p>
                                </div>
                            </div>
                             <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            
                        </div>
                        <div class="f-btn"><i class="fa-solid fa-arrow-right"></i></div>
                        <div class="b-btn"><i class="fa-solid fa-arrow-left"></i></div>
                        <div class="swiper-pagination"></div>
                    </div>
                </div>
                <div class="hp-bg"></div>
                </div>
                </div>
                
    </section>
   <!--======contact_us======-->
     <?php echo $__env->make('contact-home', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!--======footer======-->
    <?php echo $__env->make('include.footer-inner', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


    <?php echo $__env->make('include.comman-end', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
   

</body>

</html><?php /**PATH /home/instavyaparnet/public_html/VM-FOOD/resources/views/location-products.blade.php ENDPATH**/ ?>