<!doctype html>
<html lang="en">

<head>
  <?php
    $originalkeyword = $subdomainData->meta_keywords;
    $productTitle = $productData->product_title;
    $originaldiscription = $subdomainData->meta_description;
    $originaltitle = $subdomainData->meta_title;
    $replacetitle = str_replace('keyword', $productTitle, $originaltitle);
    $replacekeyword = str_replace('keyword', $productTitle, $originalkeyword);
    $replacediscription = str_replace('keyword', $productTitle, $originaldiscription);
  ?>
    <?php $__currentLoopData = $website; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $web): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css" />
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/style.css')); ?>">
    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
    <title><?php echo e($replacetitle); ?></title>
    <meta name="keywords" content="<?php echo e($replacekeyword); ?>">
    <meta name="description" content="<?php echo e($replacediscription); ?>">
    <meta name="author" content="<?php echo e($web->website_tagline); ?>">
     <meta name="language" content="English">
    <meta name="rating" content="general">
    <meta name="ROBOTS" content="index, follow"/>
    <meta name="revisit-after" content="Daily">
    <meta name="googlebot" content="index, follow">
    <meta name="bingbot" content="index, follow">
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</head>

<body>
     <?php echo $__env->make('include.header-inner', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
     
    <section class="inner_head">
                     <?php
                        $originalShortDescription = $subdomainData->short_discription;
                        $productTitle = $productData->product_title;
                        $Description = $subdomainData->description;
                        $replaceddescription = str_replace('keyword', $productTitle, $Description);
                        $replacedDescription = str_replace('keyword', $productTitle, $originalShortDescription);
                    ?>
        <img src="<?php echo e(asset('assets/image/img/banner-1.jpg')); ?>" alt="">
    <div class="inner_text">
        <span class="inner-line"><?php echo e($replacedDescription); ?></span>
        <div class="bradecram">
            <a href="#">Home /</a>
            <span><?php echo e($replacedDescription); ?></span>
        </div>
    </div>
</section>

<section class="ab_home maigin">
    <div class="container">
    <div class="row">
        <div class="col-lg-6">
            <div class="img_ab">
                <img src="<?php echo e(url('images/' . $productData['image'])); ?>" alt="">
            </div>
        </div>
        <div class="col-lg-6">
            <div class="ab_contant">
                <h1 class="big_head"><?php echo e($replacedDescription); ?></h1>
                <p><?php echo htmlspecialchars_decode($replaceddescription); ?></p>
            </div>
        </div>
    </div>
</div>
</section>
<section class="product maigin text-center" style="background-image: url(<?php echo e(asset('assets/image/img/product_bg.jpg')); ?>);">
        <div class="container">
            <span class="big_head">Our Products</span>
            <p>Embark on a journey of well-being as you explore the diverse and enriching products offered by Aushadhi Herbal. Each product in our collection is a testament to the power of natural ingredients, meticulously crafted to elevate your health and vitality. Dive into the world of herbal excellence and discover a range that resonates with nature's wisdom.</p>
      <div class="row mt-3">
    <div class="col-lg-4">
        <div class="tabs__navigation">
            <?php $__empty_1 = true; $__currentLoopData = $category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                <div class="tabs__btn <?php echo e($index === 0 ? 'active' : ''); ?>" onclick="showTab('<?php echo e($cat->product_cat_id); ?>')"><?php echo e($cat->product_category_title); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <p>No categories found.</p>
            <?php endif; ?>
        </div>
    </div>

    <div class="col-lg-8">
        <div class="tabs__content">
            <?php $__empty_1 = true; $__currentLoopData = $category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                <?php if($category && $cat->product_cat_id): ?>
                    <div class="tabs__body <?php echo e($index === 0 ? 'active' : ''); ?>" id="tab_<?php echo e($cat->product_cat_id); ?>">
                        <?php $__currentLoopData = $products->where('product_cat', $cat->product_cat_id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="pro_box">
                                <div class="img">
                                    <a href="<?php echo e(url('/', ['subdomain_slug' => $subdomainData->subdomain_slug, 'product_url' => $product->product_url])); ?>"><img src="<?php echo e(url('images/' . $product['image'])); ?>" alt=""></a>
                                </div>
                                <span class="pro_text"><a href="<?php echo e(url('/', ['subdomain_slug' => $subdomainData->subdomain_slug, 'product_url' => $product->product_url])); ?>"><?php echo e($product->product_title); ?></a></span>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <p>No categories found.</p>
            <?php endif; ?>
        </div>
    </div>
</div>
        </div>
    </section>

    <?php echo $__env->make('contact-home', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->make('include.footer-inner', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->make('include.comman-end', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</body>

</html><?php /**PATH /home/ininsstavyaparco/public_html/aushadhiherbals.com/resources/views/category-products.blade.php ENDPATH**/ ?>